/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/*
 * AccountAdminEditBox.java
 *
 * Created on 2011-1-1, 16:55:17
 */
package spirit;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.PreparedStatement;
import javax.swing.JOptionPane;
import org.jdesktop.application.Action;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * 编辑账号资料
 * @author 石卓林
 */
public class AccountAdminEditBox extends javax.swing.JDialog {

    protected static final Log log = LogFactory.getLog(AccountAdminEditBox.class);
    private AccountAdminBox box;
    private String userid;

    /** Creates new form AccountAdminEditBox */
    public AccountAdminEditBox(java.awt.Frame parent, AccountAdminBox box, boolean modal) {
        super(parent, modal);
        initComponents();
        this.box = box;
    }

    /**
     * 加载属性
     * @param userid
     */
    public void loadProperty(String userid) {
        userid = userid.trim();
        this.userid = userid.trim();
        try {
            Connection conn = spirit.SpiritApp.account.getConnection();
            PreparedStatement pstmt = conn.prepareStatement("SELECT "
                    + "TBL_ACCOUNT.FLD_LOGINID,"
                    + "TBL_ACCOUNT.FLD_PASSWORD,"
                    + "TBL_ACCOUNT.FLD_SERVERIP,"
                    + "TBL_ACCOUNTADD.FLD_BIRTHDAY,"
                    + "TBL_ACCOUNTADD.FLD_EMAIL,"
                    + "TBL_ACCOUNTADD.FLD_QUIZ1,"
                    + "TBL_ACCOUNTADD.FLD_ANSWER1,"
                    + "TBL_ACCOUNTADD.FLD_QUIZ2,"
                    + "TBL_ACCOUNTADD.FLD_ANSWER2 FROM TBL_ACCOUNT LEFT JOIN TBL_ACCOUNTADD ON TBL_ACCOUNTADD.FLD_LOGINID = TBL_ACCOUNT.FLD_LOGINID WHERE TBL_ACCOUNT.FLD_LOGINID = ?");
            pstmt.setString(1, userid);
            ResultSet result = pstmt.executeQuery();
            if (result.next()) {
                FLD_LOGINID.setText(result.getString("FLD_LOGINID").trim());
                FLD_PASSWORD.setText(result.getString("FLD_PASSWORD").trim());
                FLD_SERVERIP.setText("");
                if (result.getString("FLD_SERVERIP") != null)
                    FLD_SERVERIP.setText(result.getString("FLD_SERVERIP").trim());
                FLD_BIRTHDAY.setText(result.getString("FLD_BIRTHDAY").trim());
                FLD_EMAIL.setText(result.getString("FLD_EMAIL").trim());
                FLD_QUIZ1.setText(result.getString("FLD_QUIZ1").trim());
                FLD_QUIZ2.setText(result.getString("FLD_QUIZ2").trim());
                FLD_ANSWER1.setText(result.getString("FLD_ANSWER1").trim());
                FLD_ANSWER2.setText(result.getString("FLD_ANSWER2").trim());
            } else {
                JOptionPane.showMessageDialog(this, "读取属性失败!指定记录不存在:" + userid);
                dispose();
            }
            result.close();
            pstmt.close();
            conn.close();
        } catch (SQLException e) {
            log.error("读取账号属性出错", e);
            JOptionPane.showMessageDialog(this, "读取属性失败!数据库查询出错");
            dispose();
        }
    }

    /**
     * 更改属性
     */
    @Action
    public void doSubmit() {
        try {
            Connection conn = spirit.SpiritApp.account.getConnection();
            PreparedStatement pstmt;
            ResultSet result;
            //更改普通属性
            pstmt = conn.prepareStatement("UPDATE TBL_ACCOUNTADD SET "
                    + "FLD_BIRTHDAY = ?,"
                    + "FLD_EMAIL = ?,"
                    + "FLD_QUIZ1 = ?,"
                    + "FLD_ANSWER1 = ?,"
                    + "FLD_QUIZ2 = ?,"
                    + "FLD_ANSWER2 = ? WHERE FLD_LOGINID = ?", ResultSet.TYPE_FORWARD_ONLY, ResultSet.CONCUR_UPDATABLE);
            pstmt.setString(1, FLD_BIRTHDAY.getText().trim());
            pstmt.setString(2, FLD_EMAIL.getText().trim());
            pstmt.setString(3, FLD_QUIZ1.getText().trim());
            pstmt.setString(4, FLD_ANSWER1.getText().trim());
            pstmt.setString(5, FLD_QUIZ2.getText().trim());
            pstmt.setString(6, FLD_ANSWER2.getText().trim());
            pstmt.setString(7, userid);
            pstmt.executeUpdate();
//更改密码
            pstmt = conn.prepareStatement("UPDATE TBL_ACCOUNT SET "
                    + "FLD_PASSWORD = ?,FLD_SERVERIP = ? WHERE FLD_LOGINID = ?", ResultSet.TYPE_FORWARD_ONLY, ResultSet.CONCUR_UPDATABLE);
            pstmt.setString(1, FLD_PASSWORD.getText().trim());
            pstmt.setString(2, FLD_SERVERIP.getText().trim());
            pstmt.setString(3, userid);
            pstmt.executeUpdate();

            pstmt.close();
            conn.close();
            box.doFlush();
        } catch (SQLException e) {
            log.error("设置账号属性失败", e);
            JOptionPane.showMessageDialog(this, "设置属性失败!数据库操作出错");
        }
        dispose();
    }

    @Action
    public void doCancel() {
        dispose();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();
        jLabel6 = new javax.swing.JLabel();
        jLabel7 = new javax.swing.JLabel();
        jLabel8 = new javax.swing.JLabel();
        FLD_LOGINID = new javax.swing.JTextField();
        FLD_PASSWORD = new javax.swing.JTextField();
        FLD_BIRTHDAY = new javax.swing.JTextField();
        FLD_EMAIL = new javax.swing.JTextField();
        FLD_QUIZ1 = new javax.swing.JTextField();
        FLD_QUIZ2 = new javax.swing.JTextField();
        FLD_ANSWER1 = new javax.swing.JTextField();
        FLD_ANSWER2 = new javax.swing.JTextField();
        jButton2 = new javax.swing.JButton();
        jButton3 = new javax.swing.JButton();
        jLabel9 = new javax.swing.JLabel();
        FLD_SERVERIP = new javax.swing.JTextField();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        org.jdesktop.application.ResourceMap resourceMap = org.jdesktop.application.Application.getInstance(spirit.SpiritApp.class).getContext().getResourceMap(AccountAdminEditBox.class);
        setTitle(resourceMap.getString("Form.title")); // NOI18N
        setName("Form"); // NOI18N
        setResizable(false);

        jLabel1.setText(resourceMap.getString("jLabel1.text")); // NOI18N
        jLabel1.setName("jLabel1"); // NOI18N

        jLabel2.setText(resourceMap.getString("jLabel2.text")); // NOI18N
        jLabel2.setName("jLabel2"); // NOI18N

        jLabel3.setText(resourceMap.getString("jLabel3.text")); // NOI18N
        jLabel3.setName("jLabel3"); // NOI18N

        jLabel4.setText(resourceMap.getString("jLabel4.text")); // NOI18N
        jLabel4.setName("jLabel4"); // NOI18N

        jLabel5.setText(resourceMap.getString("jLabel5.text")); // NOI18N
        jLabel5.setName("jLabel5"); // NOI18N

        jLabel6.setText(resourceMap.getString("jLabel6.text")); // NOI18N
        jLabel6.setName("jLabel6"); // NOI18N

        jLabel7.setText(resourceMap.getString("jLabel7.text")); // NOI18N
        jLabel7.setName("jLabel7"); // NOI18N

        jLabel8.setText(resourceMap.getString("jLabel8.text")); // NOI18N
        jLabel8.setName("jLabel8"); // NOI18N

        FLD_LOGINID.setText(resourceMap.getString("FLD_LOGINID.text")); // NOI18N
        FLD_LOGINID.setEnabled(false);
        FLD_LOGINID.setName("FLD_LOGINID"); // NOI18N

        FLD_PASSWORD.setText(resourceMap.getString("FLD_PASSWORD.text")); // NOI18N
        FLD_PASSWORD.setName("FLD_PASSWORD"); // NOI18N

        FLD_BIRTHDAY.setText(resourceMap.getString("FLD_BIRTHDAY.text")); // NOI18N
        FLD_BIRTHDAY.setName("FLD_BIRTHDAY"); // NOI18N

        FLD_EMAIL.setText(resourceMap.getString("FLD_EMAIL.text")); // NOI18N
        FLD_EMAIL.setName("FLD_EMAIL"); // NOI18N

        FLD_QUIZ1.setText(resourceMap.getString("FLD_QUIZ1.text")); // NOI18N
        FLD_QUIZ1.setName("FLD_QUIZ1"); // NOI18N

        FLD_QUIZ2.setText(resourceMap.getString("FLD_QUIZ2.text")); // NOI18N
        FLD_QUIZ2.setName("FLD_QUIZ2"); // NOI18N

        FLD_ANSWER1.setText(resourceMap.getString("FLD_ANSWER1.text")); // NOI18N
        FLD_ANSWER1.setName("FLD_ANSWER1"); // NOI18N

        FLD_ANSWER2.setText(resourceMap.getString("FLD_ANSWER2.text")); // NOI18N
        FLD_ANSWER2.setName("FLD_ANSWER2"); // NOI18N

        javax.swing.ActionMap actionMap = org.jdesktop.application.Application.getInstance(spirit.SpiritApp.class).getContext().getActionMap(AccountAdminEditBox.class, this);
        jButton2.setAction(actionMap.get("doSubmit")); // NOI18N
        jButton2.setText(resourceMap.getString("jButton2.text")); // NOI18N
        jButton2.setName("jButton2"); // NOI18N

        jButton3.setAction(actionMap.get("doCancel")); // NOI18N
        jButton3.setText(resourceMap.getString("jButton3.text")); // NOI18N
        jButton3.setName("jButton3"); // NOI18N

        jLabel9.setText(resourceMap.getString("jLabel9.text")); // NOI18N
        jLabel9.setName("jLabel9"); // NOI18N

        FLD_SERVERIP.setName("FLD_SERVERIP"); // NOI18N

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(jLabel7)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(FLD_ANSWER1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 228, Short.MAX_VALUE))
                    .add(layout.createSequentialGroup()
                        .add(jLabel6)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(FLD_QUIZ2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 228, Short.MAX_VALUE))
                    .add(layout.createSequentialGroup()
                        .add(jLabel5)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(FLD_QUIZ1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 228, Short.MAX_VALUE))
                    .add(layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(jLabel3)
                            .add(jLabel4))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(FLD_BIRTHDAY, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 228, Short.MAX_VALUE)
                            .add(FLD_EMAIL, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 228, Short.MAX_VALUE)))
                    .add(layout.createSequentialGroup()
                        .add(6, 6, 6)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(layout.createSequentialGroup()
                                .add(jLabel1)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(FLD_LOGINID, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 228, Short.MAX_VALUE))
                            .add(layout.createSequentialGroup()
                                .add(jLabel2)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(FLD_PASSWORD, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 228, Short.MAX_VALUE))))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .add(jButton2)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jButton3))
                    .add(layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(jLabel9)
                            .add(jLabel8))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(FLD_ANSWER2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 228, Short.MAX_VALUE)
                            .add(FLD_SERVERIP, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 228, Short.MAX_VALUE))))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(FLD_LOGINID, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel1))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel2)
                    .add(FLD_PASSWORD, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(7, 7, 7)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(jLabel3)
                    .add(FLD_BIRTHDAY, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(7, 7, 7)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(jLabel4)
                    .add(FLD_EMAIL, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel5)
                    .add(FLD_QUIZ1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel6)
                    .add(FLD_QUIZ2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel7)
                    .add(FLD_ANSWER1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel8)
                    .add(FLD_ANSWER2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel9)
                    .add(FLD_SERVERIP, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 26, Short.MAX_VALUE)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jButton3)
                    .add(jButton2))
                .addContainerGap())
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JTextField FLD_ANSWER1;
    private javax.swing.JTextField FLD_ANSWER2;
    private javax.swing.JTextField FLD_BIRTHDAY;
    private javax.swing.JTextField FLD_EMAIL;
    private javax.swing.JTextField FLD_LOGINID;
    private javax.swing.JTextField FLD_PASSWORD;
    private javax.swing.JTextField FLD_QUIZ1;
    private javax.swing.JTextField FLD_QUIZ2;
    private javax.swing.JTextField FLD_SERVERIP;
    private javax.swing.JButton jButton2;
    private javax.swing.JButton jButton3;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    // End of variables declaration//GEN-END:variables
}
