/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/*
 * StaticResAdminBox.java
 *
 * Created on 2011-1-3, 18:49:24
 */
package spirit;

import spirit.*;
import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.PreparedStatement;
import javax.swing.JDialog;
import javax.swing.JFrame;
import javax.swing.JOptionPane;
import javax.swing.table.DefaultTableModel;
import org.jdesktop.application.Action;
import spirit.database.PageTableMode;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import spirit.database.PageTableMode;

/**
 *
 * @author 石卓林
 */
public class AccountLogsBox extends javax.swing.JInternalFrame {

    private static final Log log = LogFactory.getLog(AccountAdminBox.class);
    private JDialog editBox;
    private int currentpage = 1;
    private static final int pagesize = 50;
    private int pagetotal;
    private int resultcount;

    /** Creates new form StaticResAdminBox */
    public AccountLogsBox() {
        initComponents();
    }

    /**
     * 搜索按钮
     */
    @Action
    public void doSearch() {
        runSearch(1);
    }

    /**
     * 第一页
     */
    @Action
    public void doFirst() {
        runSearch(1);
    }

    /**
     * 上一页
     */
    @Action
    public void doPrevious() {
        runSearch(currentpage - 1);
    }

    /**
     * 下一页
     */
    @Action
    public void doNext() {
        runSearch(currentpage + 1);
    }

    /**
     * 最后页
     */
    @Action
    public void doLast() {
        runSearch(pagetotal);
    }

    /**
     * 跳到指定页
     */
    @Action
    public void doGo() {
        runSearch(Integer.valueOf(gopage.getText()));
        gopage.setText("");
    }

    /**
     * 刷新
     */
    public void doFlush() {
        runSearch(currentpage);
    }

    /**
     * 页码
     * @param page
     */
    public void runSearch(int page) {
        String userid = TNAME.getText().trim();
        String ip = IP.getText().trim();
        search(userid, ip, page);
    }

    /**
     * 使用用户名艘素
     * @param user
     * @param page
     */
    public void search(String userid, String ip, int page) {
        currentpage = 0;
        pagetotal = 0;
        resultcount = 0;
        try {
            Connection conn = SpiritApp.account.getConnection();
            PreparedStatement pstmt = conn.prepareStatement("SELECT "
                    + "LTRIM(RTRIM(FLD_LOGINID)) AS 账号,"
                    + "LTRIM(RTRIM(FLD_LOGINIP)) AS IP,"
                    + "FLD_LOGINTIME AS 时间,"
                    + "LTRIM(RTRIM(FLD_GAMETYPE)) AS 游戏 FROM TBL_CONNECTLOGS WHERE FLD_LOGINID LIKE ? AND FLD_LOGINIP LIKE ?", ResultSet.TYPE_SCROLL_SENSITIVE, ResultSet.CONCUR_READ_ONLY);
            pstmt.setString(1, "%" + userid + "%");
            pstmt.setString(2, "%" + ip + "%");
            ResultSet result = pstmt.executeQuery();
            result.last();
            resultcount = result.getRow();
            pagetotal = resultcount / pagesize;
            if (((float) pagetotal) < ((float) resultcount / (float) pagesize))
                pagetotal++;
            if (page < 1)
                page = 1;
            if (page > pagetotal)
                page = pagetotal;
            if (pagetotal == 0) {
                dataTable.setModel(new DefaultTableModel());
                JOptionPane.showMessageDialog(this, "没有找到记录");
                conn.close();
                return;
            }
            int start = (page - 1) * pagesize + 1;
            dataTable.setModel(new PageTableMode(result, start, pagesize));
            conn.close();
            currentpage = page;
            pageinfo.setText("总记录数:" + resultcount + " "
                    + "当前显示记录:" + start + "-" + Math.min(resultcount, start + pagesize - 1) + " "
                    + "页码:" + page + "/" + pagetotal + " "
                    + "每页显示:" + pagesize);
        } catch (SQLException e) {
            log.error("搜索固定装备表错误", e);
            JOptionPane.showMessageDialog(this, e.getMessage());
        }
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        scrollPaneToTable = new javax.swing.JScrollPane();
        dataTable = new javax.swing.JTable();
        searchbtn = new javax.swing.JButton();
        gobtn = new javax.swing.JButton();
        pageinfo = new javax.swing.JLabel();
        nextbtn = new javax.swing.JButton();
        previousbtn = new javax.swing.JButton();
        TNAME = new javax.swing.JTextField();
        gopage = new javax.swing.JTextField();
        lastbtn = new javax.swing.JButton();
        firstbtn = new javax.swing.JButton();
        logintitle = new javax.swing.JLabel();
        jLabel1 = new javax.swing.JLabel();
        IP = new javax.swing.JTextField();

        setClosable(true);
        setIconifiable(true);
        setMaximizable(true);
        setResizable(true);
        org.jdesktop.application.ResourceMap resourceMap = org.jdesktop.application.Application.getInstance(spirit.SpiritApp.class).getContext().getResourceMap(AccountLogsBox.class);
        setTitle(resourceMap.getString("Form.title")); // NOI18N
        setName("Form"); // NOI18N

        scrollPaneToTable.setName("scrollPaneToTable"); // NOI18N

        dataTable.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {

            },
            new String [] {

            }
        ));
        dataTable.setName("dataTable"); // NOI18N
        scrollPaneToTable.setViewportView(dataTable);

        javax.swing.ActionMap actionMap = org.jdesktop.application.Application.getInstance(spirit.SpiritApp.class).getContext().getActionMap(AccountLogsBox.class, this);
        searchbtn.setAction(actionMap.get("doSearch")); // NOI18N
        searchbtn.setText(resourceMap.getString("searchbtn.text")); // NOI18N
        searchbtn.setName("searchbtn"); // NOI18N

        gobtn.setAction(actionMap.get("doGo")); // NOI18N
        gobtn.setText(resourceMap.getString("gobtn.text")); // NOI18N
        gobtn.setName("gobtn"); // NOI18N

        pageinfo.setName("pageinfo"); // NOI18N

        nextbtn.setAction(actionMap.get("doNext")); // NOI18N
        nextbtn.setText(resourceMap.getString("nextbtn.text")); // NOI18N
        nextbtn.setName("nextbtn"); // NOI18N

        previousbtn.setAction(actionMap.get("doPrevious")); // NOI18N
        previousbtn.setText(resourceMap.getString("previousbtn.text")); // NOI18N
        previousbtn.setName("previousbtn"); // NOI18N

        TNAME.setName("TNAME"); // NOI18N

        gopage.setName("gopage"); // NOI18N

        lastbtn.setAction(actionMap.get("doLast")); // NOI18N
        lastbtn.setText(resourceMap.getString("lastbtn.text")); // NOI18N
        lastbtn.setName("lastbtn"); // NOI18N

        firstbtn.setAction(actionMap.get("doFirst")); // NOI18N
        firstbtn.setText(resourceMap.getString("firstbtn.text")); // NOI18N
        firstbtn.setName("firstbtn"); // NOI18N

        logintitle.setText(resourceMap.getString("logintitle.text")); // NOI18N
        logintitle.setName("logintitle"); // NOI18N

        jLabel1.setText(resourceMap.getString("jLabel1.text")); // NOI18N
        jLabel1.setName("jLabel1"); // NOI18N

        IP.setText(resourceMap.getString("IP.text")); // NOI18N
        IP.setName("IP"); // NOI18N

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(scrollPaneToTable, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 790, Short.MAX_VALUE)
                    .add(layout.createSequentialGroup()
                        .add(logintitle)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(TNAME, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 97, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(8, 8, 8)
                        .add(jLabel1)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(IP, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 95, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(searchbtn))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .add(pageinfo, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 388, Short.MAX_VALUE)
                        .add(5, 5, 5)
                        .add(gopage, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 30, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(gobtn)
                        .add(10, 10, 10)
                        .add(firstbtn)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(previousbtn)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(nextbtn)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(lastbtn)))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(10, 10, 10)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(logintitle)
                    .add(TNAME, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel1)
                    .add(IP, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(searchbtn, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(scrollPaneToTable, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 372, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(lastbtn, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(nextbtn, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(previousbtn, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(firstbtn, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(gobtn, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(pageinfo, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(gopage, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(26, Short.MAX_VALUE))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JTextField IP;
    private javax.swing.JTextField TNAME;
    private javax.swing.JTable dataTable;
    private javax.swing.JButton firstbtn;
    private javax.swing.JButton gobtn;
    private javax.swing.JTextField gopage;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JButton lastbtn;
    private javax.swing.JLabel logintitle;
    private javax.swing.JButton nextbtn;
    private javax.swing.JLabel pageinfo;
    private javax.swing.JButton previousbtn;
    private javax.swing.JScrollPane scrollPaneToTable;
    private javax.swing.JButton searchbtn;
    // End of variables declaration//GEN-END:variables
}
