/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/*
 * ActerAdminBox.java
 *
 * Created on 2010-12-30, 18:08:25
 */
package spirit;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.PreparedStatement;
import javax.swing.JDialog;
import javax.swing.JFrame;
import javax.swing.JOptionPane;
import javax.swing.table.DefaultTableModel;
import org.jdesktop.application.Action;
import spirit.database.ActerTableMode;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * 脚色列表
 * @author 石卓林
 */
public class ActerAdminBox extends javax.swing.JInternalFrame {

    private static final Log log = LogFactory.getLog(ActerAdminBox.class);
    private JDialog editBox;
    private int currentpage = 1;
    private static final int pagesize = 50;
    private int pagetotal;
    private int resultcount;
    private static final String[] colbyorder = new String[]{"ASC", "DESC"};
    private static final String[] colNames = new String[]{
        "FLD_DELETED",
        "FLD_SEX",
        "FLD_JOB",
        "FLD_LEVEL",
        "FLD_GOLD",
        "FLD_GAMEGOLD",
        "FLD_PKPOINT",
        "FLD_BODYLUCK"
    };
    private static final String[] coleqs = new String[]{
        "<>",
        "=",
        ">=",
        "<="
    };

    /** Creates new form ActerAdminBox */
    public ActerAdminBox() {
        initComponents();
    }

    /**
     * 搜索按钮
     */
    @Action
    public void doSearch() {
        runSearch(1);
    }

    /**
     * 第一页
     */
    @Action
    public void doFirst() {
        runSearch(1);
    }

    /**
     * 上一页
     */
    @Action
    public void doPrevious() {
        runSearch(currentpage - 1);
    }

    /**
     * 下一页
     */
    @Action
    public void doNext() {
        runSearch(currentpage + 1);
    }

    /**
     * 最后页
     */
    @Action
    public void doLast() {
        runSearch(pagetotal);
    }

    /**
     * 跳到指定页
     */
    @Action
    public void doGo() {
        runSearch(Integer.valueOf(gopage.getText()));
        gopage.setText("");
    }

    /**
     * 刷新
     */
    public void doFlush() {
        runSearch(currentpage);
    }

    /**
     * 加载
     */
    public void load(String userid) {
        fLD_USERID_VAL.setText(userid);
        runSearch(1);
    }

    /**
     * 页码
     * @param page
     */
    public void runSearch(int page) {
        String acter = fLD_CHARACTER_VAL.getText().trim();
        String user = fLD_USERID_VAL.getText().trim();
        int coli = colName.getSelectedIndex();
        int expi = eq.getSelectedIndex();
        int val = Integer.valueOf(colVal.getText());
        search(user, acter, coli, expi, val, page);
    }

    /**
     * 条件搜索
     * @param user
     * @param acter
     * @param coli
     * @param expi
     * @param val
     * @param page
     */
    public void search(String user, String acter, int coli, int expi, int val, int page) {
        currentpage = 0;
        pagetotal = 0;
        resultcount = 0;
        try {
            Connection conn = SpiritApp.game.getConnection();
            PreparedStatement pstmt = conn.prepareStatement("SELECT "
                    + "LTRIM(RTRIM(FLD_CHARACTER)) AS 角色名字,"
                    + "LTRIM(RTRIM(FLD_USERID)) AS 账号,"
                    + "FLD_DELETED AS 锁定,"
                    + "FLD_SEX AS 性别,"
                    + "FLD_JOB AS 职业,"
                    + "FLD_LEVEL AS 等级,"
                    + "FLD_GOLD AS 金钱,"
                    + "FLD_RELEVEL AS 转生,"
                    + "FLD_GAMEPOINT AS 积分,"
                    + "FLD_GAMEGOLD AS 元宝,"
                    + "FLD_PKPOINT AS PK点数,"
                    + "FLD_BODYLUCK AS 幸运值 FROM TBL_CHARACTER WHERE FLD_CHARACTER LIKE ? AND FLD_USERID LIKE ? AND " + colNames[coli] + " " + coleqs[expi] + " ? ORDER BY " + colNames[jComboBox1.getSelectedIndex()] + " " + colbyorder[jComboBox2.getSelectedIndex()], ResultSet.TYPE_SCROLL_SENSITIVE, ResultSet.CONCUR_READ_ONLY);
            pstmt.setString(1, "%" + acter + "%");
            pstmt.setString(2, "%" + user + "%");
            pstmt.setInt(3, val);
            ResultSet result = pstmt.executeQuery();
            result.last();
            resultcount = result.getRow();
            pagetotal = resultcount / pagesize;
            if (((float) pagetotal) < ((float) resultcount / (float) pagesize)) {
                pagetotal++;
            }
            if (page < 1) {
                page = 1;
            }
            if (page > pagetotal) {
                page = pagetotal;
            }
            if (pagetotal == 0) {
                dataTable.setModel(new DefaultTableModel());
                JOptionPane.showMessageDialog(this, "没有找到指定角色");
                conn.close();
                return;
            }
            int start = (page - 1) * pagesize + 1;
            dataTable.setModel(new ActerTableMode(result, start, pagesize));
            conn.close();
            currentpage = page;
            pageinfo.setText("总记录数:" + resultcount + " "
                    + "当前显示记录:" + start + "-" + Math.min(resultcount, (start + pagesize - 1)) + " "
                    + "页码:" + page + "/" + pagetotal + " "
                    + "每页显示:" + pagesize);
        } catch (SQLException e) {
            log.error("搜索角色列表失败", e);
            JOptionPane.showMessageDialog(this, e.getMessage());
        }
    }

    /**
     * 编辑
     */
    @Action
    public void doEdit() {
        int select = dataTable.getSelectedRow();
        if (select == -1) {
            JOptionPane.showMessageDialog(this, "选择一行后才能编辑");
            return;
        }
        String acter = (String) dataTable.getModel().getValueAt(select, 0);
        if (editBox == null) {
            JFrame mainFrame = SpiritApp.getApplication().getMainFrame();
            editBox = new ActerAdminEditBox(mainFrame, this, true);
            editBox.setLocationRelativeTo(mainFrame);
        }
        ((ActerAdminEditBox) editBox).loadProperty(acter);
        SpiritApp.getApplication().show(editBox);
    }

    /**
     * 删除脚色
     */
    @Action
    public void doRemove() {
        try {
            int removecount = 0;
            int[] selected = dataTable.getSelectedRows();
            if (selected.length == 0) {
                JOptionPane.showMessageDialog(this, "先选择需要删除的条目.可以多选");
                return;
            }
            for (int i = 0, length = selected.length; i < length; i++) {
                String acter = (String) dataTable.getModel().getValueAt(selected[i], 0);
                if (JOptionPane.showConfirmDialog(this, "是否删除 角色=" + acter + " ?", "警告!", JOptionPane.YES_NO_OPTION, JOptionPane.WARNING_MESSAGE) == JOptionPane.YES_OPTION) {
                    remove(acter);
                    removecount++;
                }
            }
            if (removecount != 0) {
                doFlush();
            }
        } catch (Exception e) {
            log.error("删除脚色失败", e);
            JOptionPane.showMessageDialog(this, "删除角色时发生程序错误");
        }
    }

    /**
     * 删除指定角色
     * @param acter
     */
    public void remove(String acter) throws SQLException {
        Connection conn = spirit.SpiritApp.game.getConnection();
        //删除角色
        PreparedStatement pstmt = conn.prepareStatement("DELETE TBL_CHARACTER WHERE FLD_CHARACTER = ?", ResultSet.TYPE_FORWARD_ONLY, ResultSet.CONCUR_UPDATABLE);
        pstmt.setString(1, acter);
        pstmt.executeUpdate();
        //删除朋友
        pstmt = conn.prepareStatement("DELETE TBL_FRIEND WHERE FLD_CHARACTER = ? OR FLD_FRIEND = ?", ResultSet.TYPE_FORWARD_ONLY, ResultSet.CONCUR_UPDATABLE);
        pstmt.setString(1, acter);
        pstmt.setString(2, acter);
        pstmt.executeUpdate();
        //删除装备
        pstmt = conn.prepareStatement("DELETE TBL_ITEM WHERE FLD_CHARACTER = ?", ResultSet.TYPE_FORWARD_ONLY, ResultSet.CONCUR_UPDATABLE);
        pstmt.setString(1, acter);
        pstmt.executeUpdate();
        //删除魔法
        pstmt = conn.prepareStatement("DELETE TBL_MAGIC WHERE FLD_CHARACTER = ?", ResultSet.TYPE_FORWARD_ONLY, ResultSet.CONCUR_UPDATABLE);
        pstmt.setString(1, acter);
        pstmt.executeUpdate();
        //删除情铝
        pstmt = conn.prepareStatement("DELETE TBL_RELATION WHERE FLD_CHARACTER = ? OR FLD_OTHER = ?", ResultSet.TYPE_FORWARD_ONLY, ResultSet.CONCUR_UPDATABLE);
        pstmt.setString(1, acter);
        pstmt.setString(2, acter);
        pstmt.executeUpdate();

        pstmt.close();
        conn.close();
    }

    /**
     * 打开装备
     */
    @Action
    public void goTIEM() {
        int select = dataTable.getSelectedRow();
        if (select == -1) {
            JOptionPane.showMessageDialog(this, "选择一行后才能查看");
            return;
        }
        String acter = (String) dataTable.getModel().getValueAt(select, 0);
        ResAdminBox resAdminBox = new ResAdminBox();
        getParent().add(resAdminBox);
        resAdminBox.load(acter);
        resAdminBox.show();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        scrollPaneToTable = new javax.swing.JScrollPane();
        dataTable = new javax.swing.JTable();
        lastbtn = new javax.swing.JButton();
        previousbtn = new javax.swing.JButton();
        removebtn = new javax.swing.JButton();
        searchbtn = new javax.swing.JButton();
        firstbtn = new javax.swing.JButton();
        gobtn = new javax.swing.JButton();
        fLD_CHARACTER_VAL = new javax.swing.JTextField();
        gopage = new javax.swing.JTextField();
        editbtn = new javax.swing.JButton();
        nextbtn = new javax.swing.JButton();
        fLD_CHARACTER = new javax.swing.JLabel();
        fLD_USERID = new javax.swing.JLabel();
        fLD_USERID_VAL = new javax.swing.JTextField();
        colName = new javax.swing.JComboBox();
        eq = new javax.swing.JComboBox();
        colVal = new javax.swing.JTextField();
        openresbtn = new javax.swing.JButton();
        pageinfo = new javax.swing.JLabel();
        jLabel1 = new javax.swing.JLabel();
        jComboBox1 = new javax.swing.JComboBox();
        jComboBox2 = new javax.swing.JComboBox();

        setClosable(true);
        setIconifiable(true);
        setMaximizable(true);
        setResizable(true);
        org.jdesktop.application.ResourceMap resourceMap = org.jdesktop.application.Application.getInstance(spirit.SpiritApp.class).getContext().getResourceMap(ActerAdminBox.class);
        setTitle(resourceMap.getString("Form.title")); // NOI18N
        setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));
        setName("Form"); // NOI18N

        scrollPaneToTable.setName("scrollPaneToTable"); // NOI18N

        dataTable.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {},
                {},
                {},
                {}
            },
            new String [] {

            }
        ));
        dataTable.setName("dataTable"); // NOI18N
        scrollPaneToTable.setViewportView(dataTable);

        javax.swing.ActionMap actionMap = org.jdesktop.application.Application.getInstance(spirit.SpiritApp.class).getContext().getActionMap(ActerAdminBox.class, this);
        lastbtn.setAction(actionMap.get("doLast")); // NOI18N
        lastbtn.setText(resourceMap.getString("lastbtn.text")); // NOI18N
        lastbtn.setName("lastbtn"); // NOI18N

        previousbtn.setAction(actionMap.get("doPrevious")); // NOI18N
        previousbtn.setText(resourceMap.getString("previousbtn.text")); // NOI18N
        previousbtn.setName("previousbtn"); // NOI18N

        removebtn.setAction(actionMap.get("doRemove")); // NOI18N
        removebtn.setText(resourceMap.getString("removebtn.text")); // NOI18N
        removebtn.setName("removebtn"); // NOI18N

        searchbtn.setAction(actionMap.get("doSearch")); // NOI18N
        searchbtn.setText(resourceMap.getString("searchbtn.text")); // NOI18N
        searchbtn.setName("searchbtn"); // NOI18N

        firstbtn.setAction(actionMap.get("doFirst")); // NOI18N
        firstbtn.setText(resourceMap.getString("firstbtn.text")); // NOI18N
        firstbtn.setName("firstbtn"); // NOI18N

        gobtn.setAction(actionMap.get("doGo")); // NOI18N
        gobtn.setText(resourceMap.getString("gobtn.text")); // NOI18N
        gobtn.setName("gobtn"); // NOI18N

        fLD_CHARACTER_VAL.setName("fLD_CHARACTER_VAL"); // NOI18N

        gopage.setName("gopage"); // NOI18N

        editbtn.setAction(actionMap.get("doEdit")); // NOI18N
        editbtn.setText(resourceMap.getString("editbtn.text")); // NOI18N
        editbtn.setName("editbtn"); // NOI18N

        nextbtn.setAction(actionMap.get("doNext")); // NOI18N
        nextbtn.setText(resourceMap.getString("nextbtn.text")); // NOI18N
        nextbtn.setName("nextbtn"); // NOI18N

        fLD_CHARACTER.setText(resourceMap.getString("fLD_CHARACTER.text")); // NOI18N
        fLD_CHARACTER.setName("fLD_CHARACTER"); // NOI18N

        fLD_USERID.setText(resourceMap.getString("fLD_USERID.text")); // NOI18N
        fLD_USERID.setName("fLD_USERID"); // NOI18N

        fLD_USERID_VAL.setText(resourceMap.getString("fLD_USERID_VAL.text")); // NOI18N
        fLD_USERID_VAL.setName("fLD_USERID_VAL"); // NOI18N

        colName.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "锁定", "性别", "职业", "等级", "金钱", "元宝", "PK点数", "幸运值" }));
        colName.setName("colName"); // NOI18N

        eq.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "不等于", "等于", "大于或等于", "小于或等于" }));
        eq.setName("eq"); // NOI18N

        colVal.setText(resourceMap.getString("colVal.text")); // NOI18N
        colVal.setToolTipText(resourceMap.getString("colVal.toolTipText")); // NOI18N
        colVal.setName("colVal"); // NOI18N

        openresbtn.setAction(actionMap.get("goTIEM")); // NOI18N
        openresbtn.setText(resourceMap.getString("openresbtn.text")); // NOI18N
        openresbtn.setName("openresbtn"); // NOI18N

        pageinfo.setText(resourceMap.getString("pageinfo.text")); // NOI18N
        pageinfo.setName("pageinfo"); // NOI18N

        jLabel1.setText(resourceMap.getString("jLabel1.text")); // NOI18N
        jLabel1.setName("jLabel1"); // NOI18N

        jComboBox1.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "锁定", "性别", "职业", "等级", "金钱", "元宝", "PK点数", "幸运值" }));
        jComboBox1.setName("jComboBox1"); // NOI18N

        jComboBox2.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "顺序", "倒序" }));
        jComboBox2.setName("jComboBox2"); // NOI18N

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(fLD_USERID)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(fLD_USERID_VAL, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 82, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(fLD_CHARACTER)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(fLD_CHARACTER_VAL, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 96, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(colName, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(eq, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(colVal, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 42, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jLabel1)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jComboBox1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .add(jComboBox2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(searchbtn)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(editbtn)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(removebtn)
                        .add(18, 18, 18)
                        .add(openresbtn))
                    .add(pageinfo))
                .addContainerGap())
            .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                    .addContainerGap(517, Short.MAX_VALUE)
                    .add(gopage, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 30, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                    .add(gobtn)
                    .add(10, 10, 10)
                    .add(firstbtn)
                    .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                    .add(previousbtn)
                    .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                    .add(nextbtn)
                    .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                    .add(lastbtn)
                    .addContainerGap())
                .add(scrollPaneToTable, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 924, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(fLD_CHARACTER)
                    .add(fLD_USERID_VAL, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(fLD_CHARACTER_VAL, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(colName, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(eq, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(colVal, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(fLD_USERID)
                    .add(openresbtn)
                    .add(jLabel1)
                    .add(jComboBox1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jComboBox2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(searchbtn)
                    .add(editbtn)
                    .add(removebtn))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 440, Short.MAX_VALUE)
                .add(pageinfo)
                .addContainerGap())
            .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                    .add(43, 43, 43)
                    .add(scrollPaneToTable, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 401, Short.MAX_VALUE)
                    .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(lastbtn)
                        .add(nextbtn)
                        .add(previousbtn)
                        .add(firstbtn)
                        .add(gopage, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(gobtn))
                    .addContainerGap()))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JComboBox colName;
    private javax.swing.JTextField colVal;
    private javax.swing.JTable dataTable;
    private javax.swing.JButton editbtn;
    private javax.swing.JComboBox eq;
    private javax.swing.JLabel fLD_CHARACTER;
    private javax.swing.JTextField fLD_CHARACTER_VAL;
    private javax.swing.JLabel fLD_USERID;
    private javax.swing.JTextField fLD_USERID_VAL;
    private javax.swing.JButton firstbtn;
    private javax.swing.JButton gobtn;
    private javax.swing.JTextField gopage;
    private javax.swing.JComboBox jComboBox1;
    private javax.swing.JComboBox jComboBox2;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JButton lastbtn;
    private javax.swing.JButton nextbtn;
    private javax.swing.JButton openresbtn;
    private javax.swing.JLabel pageinfo;
    private javax.swing.JButton previousbtn;
    private javax.swing.JButton removebtn;
    private javax.swing.JScrollPane scrollPaneToTable;
    private javax.swing.JButton searchbtn;
    // End of variables declaration//GEN-END:variables
}
