/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/*
 * ActerAdminEditBox.java
 *
 * Created on 2010-12-31, 15:33:26
 */
package spirit;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.PreparedStatement;
import javax.swing.JOptionPane;
import org.jdesktop.application.Action;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 *
 * @author 石卓林
 */
public class ActerAdminEditBox extends javax.swing.JDialog {

    private static final Log log = LogFactory.getLog(ActerAdminEditBox.class);
    private ActerAdminBox box;
    private String acter;
    private String userid;
    private int enable;

    /** Creates new form ActerAdminEditBox */
    public ActerAdminEditBox(java.awt.Frame parent, ActerAdminBox box, boolean modal) {
        super(parent, modal);
        this.box = box;
        initComponents();
    }

    /**
     * 读取数学属性
     * @param acter
     */
    public void loadProperty(String acter) {
        this.acter = acter.trim();
        try {
            Connection conn = spirit.SpiritApp.game.getConnection();
            PreparedStatement pstmt = conn.prepareStatement("SELECT * FROM TBL_CHARACTER WHERE FLD_CHARACTER = ?");
            pstmt.setString(1, acter);
            ResultSet result = pstmt.executeQuery();
            if (result.next()) {
                FLD_CHARACTER.setText(result.getString("FLD_CHARACTER").trim());
                FLD_USERID.setText(result.getString("FLD_USERID").trim());
                userid = result.getString("FLD_USERID").trim();
                FLD_DELETED.setSelectedIndex(result.getInt("FLD_DELETED"));
                enable = result.getInt("FLD_DELETED");
                FLD_SEX.setSelectedIndex(result.getInt("FLD_SEX"));
                FLD_JOB.setSelectedIndex(result.getInt("FLD_JOB"));
                FLD_LEVEL.setText(result.getString("FLD_LEVEL"));
                FLD_GOLD.setText(result.getString("FLD_GOLD"));
                FLD_GAMEGOLD.setText(result.getString("FLD_GAMEGOLD"));
                FLD_PKPOINT.setText(result.getString("FLD_PKPOINT"));
                FLD_BODYLUCK.setText(result.getString("FLD_BODYLUCK"));
                FLD_RELEVEL.setText(result.getString("FLD_RELEVEL"));
                FLD_GAMEPOINT.setText(result.getString("FLD_GAMEPOINT"));
            } else {
                log.error("读取角色属性失败.指定记录不存在:" + acter);
                JOptionPane.showMessageDialog(this, "读取属性失败!指定记录不存在:" + acter);
            }
            result.close();
            pstmt.close();
            conn.close();
        } catch (SQLException e) {
            log.error("读取角色属性失败", e);
            JOptionPane.showMessageDialog(this, "读取属性失败!数据库查询出错");
        }
    }

    @Action
    public void doChageActer() {
        String newActer = FLD_CHARACTER.getText().trim();
        if (newActer.length() > 14 || newActer.equals("")) {
            JOptionPane.showMessageDialog(this, "角色名称太长或太短 不能超过14字符,也不能为空");
            return;
        }
        //判断新角色名是否存在
        try {
            Connection conn;
            PreparedStatement pstmt;
            ResultSet result;
            //判断账号是否存在
            conn = spirit.SpiritApp.game.getConnection();
            pstmt = conn.prepareStatement("SELECT * FROM TBL_CHARACTER WHERE FLD_CHARACTER = ?");
            pstmt.setString(1, newActer);
            result = pstmt.executeQuery();
            if (result.next()) {
                JOptionPane.showMessageDialog(this, "指定名称已经存在!");
                conn.close();
                return;
            }
            //更改角色表
            pstmt = conn.prepareStatement("UPDATE TBL_CHARACTER SET "
                    + "FLD_CHARACTER = ? WHERE FLD_CHARACTER = ?", ResultSet.TYPE_FORWARD_ONLY, ResultSet.CONCUR_UPDATABLE);
            pstmt.setString(1, newActer);
            pstmt.setString(2, acter);
            pstmt.executeUpdate();
            pstmt.close();
            //更改朋友表
            pstmt = conn.prepareStatement("UPDATE TBL_FRIEND SET "
                    + "FLD_CHARACTER = ? WHERE FLD_CHARACTER = ?", ResultSet.TYPE_FORWARD_ONLY, ResultSet.CONCUR_UPDATABLE);
            pstmt.setString(1, newActer);
            pstmt.setString(2, acter);
            pstmt.executeUpdate();
            pstmt.close();
            pstmt = conn.prepareStatement("UPDATE TBL_FRIEND SET "
                    + "FLD_FRIEND = ? WHERE FLD_FRIEND = ?", ResultSet.TYPE_FORWARD_ONLY, ResultSet.CONCUR_UPDATABLE);
            pstmt.setString(1, newActer);
            pstmt.setString(2, acter);
            pstmt.executeUpdate();
            pstmt.close();
            //更改装备表
            pstmt = conn.prepareStatement("UPDATE TBL_ITEM SET "
                    + "FLD_CHARACTER = ? WHERE FLD_CHARACTER = ?", ResultSet.TYPE_FORWARD_ONLY, ResultSet.CONCUR_UPDATABLE);
            pstmt.setString(1, newActer);
            pstmt.setString(2, acter);
            pstmt.executeUpdate();
            pstmt.close();
            //更改魔法表
            pstmt = conn.prepareStatement("UPDATE TBL_MAGIC SET "
                    + "FLD_CHARACTER = ? WHERE FLD_CHARACTER = ?", ResultSet.TYPE_FORWARD_ONLY, ResultSet.CONCUR_UPDATABLE);
            pstmt.setString(1, newActer);
            pstmt.setString(2, acter);
            pstmt.executeUpdate();
            pstmt.close();
            //更改请款
            pstmt = conn.prepareStatement("UPDATE TBL_RELATION SET "
                    + "FLD_CHARACTER = ? WHERE FLD_CHARACTER = ?", ResultSet.TYPE_FORWARD_ONLY, ResultSet.CONCUR_UPDATABLE);
            pstmt.setString(1, newActer);
            pstmt.setString(2, acter);
            pstmt.executeUpdate();
            pstmt.close();
            pstmt = conn.prepareStatement("UPDATE TBL_RELATION SET "
                    + "FLD_OTHER = ? WHERE FLD_OTHER = ?", ResultSet.TYPE_FORWARD_ONLY, ResultSet.CONCUR_UPDATABLE);
            pstmt.setString(1, newActer);
            pstmt.setString(2, acter);
            pstmt.executeUpdate();
            pstmt.close();

            conn.close();
            box.doFlush();
        } catch (SQLException e) {
            log.error("设置脚色名称失败", e);
            JOptionPane.showMessageDialog(this, "设置角色失败!\n" + e.getMessage());
        }
        dispose();
    }

    @Action
    public void doChageUser() {
        String newUserID = FLD_USERID.getText();
        try {
            Connection conn;
            PreparedStatement pstmt;
            ResultSet result;
            //判断账号是否存在
            conn = spirit.SpiritApp.account.getConnection();
            pstmt = conn.prepareStatement("SELECT * FROM TBL_ACCOUNT WHERE FLD_LOGINID = ?");
            pstmt.setString(1, newUserID);
            result = pstmt.executeQuery();
            if (!result.next()) {
                JOptionPane.showMessageDialog(this, "指定账号不存在!");
                conn.close();
                return;
            }
            conn.close();
            //判断账号当前正常角色是否2个以下(不包含2个)
            conn = spirit.SpiritApp.game.getConnection();
            if (enable == 0) {
                pstmt = conn.prepareStatement("SELECT COUNT(*) FROM TBL_CHARACTER WHERE FLD_DELETED = 0 AND FLD_USERID = ?");
                pstmt.setString(1, newUserID);
                result = pstmt.executeQuery();
                result.next();
                if (result.getInt(1) >= 2) {
                    JOptionPane.showMessageDialog(this, "指定账号名下已经有两个正常角色!");
                    conn.close();
                    return;
                }
            }
            //更改隶属
            pstmt = conn.prepareStatement("UPDATE TBL_CHARACTER SET "
                    + "FLD_USERID = ? WHERE FLD_CHARACTER = ?", ResultSet.TYPE_FORWARD_ONLY, ResultSet.CONCUR_UPDATABLE);
            pstmt.setString(1, newUserID);
            pstmt.setString(2, acter);
            pstmt.executeUpdate();
            pstmt.close();
            conn.close();
            box.doFlush();
        } catch (SQLException e) {
            log.error("设置脚色隶属账号失败!", e);
            JOptionPane.showMessageDialog(this, "设置隶属账号失败!\n" + e.getMessage());
        }
        dispose();
    }

    /**
     * 提交
     */
    @Action
    public void doSubmit() {
        try {
            Connection conn = spirit.SpiritApp.game.getConnection();
            PreparedStatement pstmt;
            ResultSet result;
            //如果当前隶属张哈已经有两个正常的了则不允许设置为正常
            if (FLD_DELETED.getSelectedIndex() == 0) {
                pstmt = conn.prepareStatement("SELECT COUNT(*) FROM TBL_CHARACTER WHERE FLD_DELETED = 0 AND FLD_CHARACTER <> ? AND FLD_USERID = ?");
                pstmt.setString(1, acter);
                pstmt.setString(2, userid);
                result = pstmt.executeQuery();
                result.next();
                if (result.getInt(1) >= 2) {
                    JOptionPane.showMessageDialog(this, "此账号名下已经有两个正常角色!");
                    conn.close();
                    return;
                }
            }
            pstmt = conn.prepareStatement("UPDATE TBL_CHARACTER SET "
                    + "FLD_DELETED = ?,"
                    + "FLD_SEX = ?,"
                    + "FLD_JOB = ?,"
                    + "FLD_LEVEL = ?,"
                    + "FLD_GOLD = ?,"
                    + "FLD_GAMEGOLD = ?,"
                    + "FLD_PKPOINT = ?,"
                    + "FLD_BODYLUCK = ?,"
                    + "FLD_RELEVEL = ?,"
                    + "FLD_GAMEPOINT = ? WHERE FLD_CHARACTER = ?", ResultSet.TYPE_FORWARD_ONLY, ResultSet.CONCUR_UPDATABLE);
            pstmt.setInt(1, FLD_DELETED.getSelectedIndex());
            pstmt.setInt(2, FLD_SEX.getSelectedIndex());
            pstmt.setInt(3, FLD_JOB.getSelectedIndex());
            pstmt.setInt(4, Integer.valueOf(FLD_LEVEL.getText()));
            pstmt.setInt(5, Integer.valueOf(FLD_GOLD.getText()));
            pstmt.setInt(6, Integer.valueOf(FLD_GAMEGOLD.getText()));
            pstmt.setInt(7, Integer.valueOf(FLD_PKPOINT.getText()));
            pstmt.setFloat(8, Float.valueOf(FLD_BODYLUCK.getText()));
            pstmt.setInt(9, Integer.valueOf(FLD_RELEVEL.getText()));
            pstmt.setInt(10, Integer.valueOf(FLD_GAMEPOINT.getText()));
            pstmt.setString(11, acter);
            pstmt.executeUpdate();
            pstmt.close();
            conn.close();
            box.doFlush();
        } catch (SQLException e) {
            log.error("设置角色属性失败", e);
            JOptionPane.showMessageDialog(this, "设置属性失败!数据库操作出错");
        }
        dispose();
    }

    /**
     * 取消按钮
     */
    @Action
    public void doCancel() {
        dispose();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();
        jLabel6 = new javax.swing.JLabel();
        jLabel7 = new javax.swing.JLabel();
        jLabel8 = new javax.swing.JLabel();
        jLabel9 = new javax.swing.JLabel();
        jLabel10 = new javax.swing.JLabel();
        FLD_CHARACTER = new javax.swing.JTextField();
        FLD_CHARACTER_BTN = new javax.swing.JButton();
        FLD_USERID = new javax.swing.JTextField();
        FLD_USERID_BTN = new javax.swing.JButton();
        FLD_DELETED = new javax.swing.JComboBox();
        FLD_SEX = new javax.swing.JComboBox();
        FLD_JOB = new javax.swing.JComboBox();
        FLD_LEVEL = new javax.swing.JTextField();
        FLD_GOLD = new javax.swing.JTextField();
        jSeparator1 = new javax.swing.JSeparator();
        jSeparator2 = new javax.swing.JSeparator();
        FLD_GAMEGOLD = new javax.swing.JTextField();
        FLD_PKPOINT = new javax.swing.JTextField();
        FLD_BODYLUCK = new javax.swing.JTextField();
        submitbtn = new javax.swing.JButton();
        cancelbtn = new javax.swing.JButton();
        jLabel11 = new javax.swing.JLabel();
        FLD_RELEVEL = new javax.swing.JTextField();
        jLabel12 = new javax.swing.JLabel();
        FLD_GAMEPOINT = new javax.swing.JTextField();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        org.jdesktop.application.ResourceMap resourceMap = org.jdesktop.application.Application.getInstance(spirit.SpiritApp.class).getContext().getResourceMap(ActerAdminEditBox.class);
        setTitle(resourceMap.getString("Form.title")); // NOI18N
        setModal(true);
        setName("Form"); // NOI18N
        setResizable(false);

        jLabel1.setText(resourceMap.getString("jLabel1.text")); // NOI18N
        jLabel1.setName("jLabel1"); // NOI18N

        jLabel2.setText(resourceMap.getString("jLabel2.text")); // NOI18N
        jLabel2.setName("jLabel2"); // NOI18N

        jLabel3.setText(resourceMap.getString("jLabel3.text")); // NOI18N
        jLabel3.setName("jLabel3"); // NOI18N

        jLabel4.setText(resourceMap.getString("jLabel4.text")); // NOI18N
        jLabel4.setName("jLabel4"); // NOI18N

        jLabel5.setText(resourceMap.getString("jLabel5.text")); // NOI18N
        jLabel5.setName("jLabel5"); // NOI18N

        jLabel6.setText(resourceMap.getString("jLabel6.text")); // NOI18N
        jLabel6.setName("jLabel6"); // NOI18N

        jLabel7.setText(resourceMap.getString("jLabel7.text")); // NOI18N
        jLabel7.setName("jLabel7"); // NOI18N

        jLabel8.setText(resourceMap.getString("jLabel8.text")); // NOI18N
        jLabel8.setName("jLabel8"); // NOI18N

        jLabel9.setText(resourceMap.getString("jLabel9.text")); // NOI18N
        jLabel9.setName("jLabel9"); // NOI18N

        jLabel10.setText(resourceMap.getString("jLabel10.text")); // NOI18N
        jLabel10.setName("jLabel10"); // NOI18N

        FLD_CHARACTER.setText(resourceMap.getString("FLD_CHARACTER.text")); // NOI18N
        FLD_CHARACTER.setName("FLD_CHARACTER"); // NOI18N

        javax.swing.ActionMap actionMap = org.jdesktop.application.Application.getInstance(spirit.SpiritApp.class).getContext().getActionMap(ActerAdminEditBox.class, this);
        FLD_CHARACTER_BTN.setAction(actionMap.get("doChageActer")); // NOI18N
        FLD_CHARACTER_BTN.setText(resourceMap.getString("FLD_CHARACTER_BTN.text")); // NOI18N
        FLD_CHARACTER_BTN.setName("FLD_CHARACTER_BTN"); // NOI18N

        FLD_USERID.setText(resourceMap.getString("FLD_USERID.text")); // NOI18N
        FLD_USERID.setName("FLD_USERID"); // NOI18N

        FLD_USERID_BTN.setAction(actionMap.get("doChageUser")); // NOI18N
        FLD_USERID_BTN.setText(resourceMap.getString("FLD_USERID_BTN.text")); // NOI18N
        FLD_USERID_BTN.setName("FLD_USERID_BTN"); // NOI18N

        FLD_DELETED.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "正常", "锁定" }));
        FLD_DELETED.setName("FLD_DELETED"); // NOI18N

        FLD_SEX.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "男", "女" }));
        FLD_SEX.setName("FLD_SEX"); // NOI18N

        FLD_JOB.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "战士", "法师", "道士" }));
        FLD_JOB.setName("FLD_JOB"); // NOI18N

        FLD_LEVEL.setText(resourceMap.getString("FLD_LEVEL.text")); // NOI18N
        FLD_LEVEL.setName("FLD_LEVEL"); // NOI18N

        FLD_GOLD.setName("FLD_GOLD"); // NOI18N

        jSeparator1.setName("jSeparator1"); // NOI18N

        jSeparator2.setName("jSeparator2"); // NOI18N

        FLD_GAMEGOLD.setName("FLD_GAMEGOLD"); // NOI18N

        FLD_PKPOINT.setName("FLD_PKPOINT"); // NOI18N

        FLD_BODYLUCK.setName("FLD_BODYLUCK"); // NOI18N

        submitbtn.setAction(actionMap.get("doSubmit")); // NOI18N
        submitbtn.setText(resourceMap.getString("submitbtn.text")); // NOI18N
        submitbtn.setName("submitbtn"); // NOI18N

        cancelbtn.setAction(actionMap.get("doCancel")); // NOI18N
        cancelbtn.setText(resourceMap.getString("cancelbtn.text")); // NOI18N
        cancelbtn.setName("cancelbtn"); // NOI18N

        jLabel11.setText(resourceMap.getString("jLabel11.text")); // NOI18N
        jLabel11.setName("jLabel11"); // NOI18N

        FLD_RELEVEL.setName("FLD_RELEVEL"); // NOI18N

        jLabel12.setText(resourceMap.getString("jLabel12.text")); // NOI18N
        jLabel12.setName("jLabel12"); // NOI18N

        FLD_GAMEPOINT.setName("FLD_GAMEPOINT"); // NOI18N

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(jLabel3)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(FLD_DELETED, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(jLabel4)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(FLD_SEX, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(jLabel5)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(FLD_JOB, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                        .add(org.jdesktop.layout.GroupLayout.LEADING, jSeparator1)
                        .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                            .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                                .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                                    .add(jLabel2)
                                    .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                    .add(FLD_USERID))
                                .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                                    .add(jLabel1)
                                    .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                    .add(FLD_CHARACTER, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 151, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                            .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                            .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                .add(FLD_USERID_BTN)
                                .add(FLD_CHARACTER_BTN))))
                    .add(jSeparator2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 317, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(layout.createSequentialGroup()
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                                    .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                                        .add(jLabel6)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(FLD_LEVEL, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 95, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                    .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                                            .add(jLabel10)
                                            .add(jLabel8)
                                            .add(jLabel12))
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                            .add(FLD_GAMEPOINT, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 95, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                            .add(FLD_BODYLUCK, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 95, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                            .add(FLD_GAMEGOLD, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 95, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 18, Short.MAX_VALUE)
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                                    .add(jLabel7)
                                    .add(jLabel9)
                                    .add(jLabel11)))
                            .add(submitbtn, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 79, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 11, Short.MAX_VALUE)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                                .add(FLD_RELEVEL)
                                .add(FLD_PKPOINT)
                                .add(FLD_GOLD, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 93, Short.MAX_VALUE))
                            .add(cancelbtn, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 81, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel1)
                    .add(FLD_CHARACTER, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(FLD_CHARACTER_BTN))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel2)
                    .add(FLD_USERID, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(FLD_USERID_BTN))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(jSeparator1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(2, 2, 2)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel3)
                    .add(FLD_DELETED, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 15, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(FLD_SEX, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel5)
                    .add(FLD_JOB, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(jSeparator2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel6)
                    .add(FLD_LEVEL, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel7)
                    .add(FLD_GOLD, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(18, 18, 18)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel8)
                    .add(FLD_GAMEGOLD, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(FLD_PKPOINT, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel9))
                .add(18, 18, 18)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel10)
                    .add(FLD_BODYLUCK, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel11)
                    .add(FLD_RELEVEL, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(18, 18, 18)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel12)
                    .add(FLD_GAMEPOINT, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(18, 18, 18)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(submitbtn)
                    .add(cancelbtn))
                .addContainerGap())
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JTextField FLD_BODYLUCK;
    private javax.swing.JTextField FLD_CHARACTER;
    private javax.swing.JButton FLD_CHARACTER_BTN;
    private javax.swing.JComboBox FLD_DELETED;
    private javax.swing.JTextField FLD_GAMEGOLD;
    private javax.swing.JTextField FLD_GAMEPOINT;
    private javax.swing.JTextField FLD_GOLD;
    private javax.swing.JComboBox FLD_JOB;
    private javax.swing.JTextField FLD_LEVEL;
    private javax.swing.JTextField FLD_PKPOINT;
    private javax.swing.JTextField FLD_RELEVEL;
    private javax.swing.JComboBox FLD_SEX;
    private javax.swing.JTextField FLD_USERID;
    private javax.swing.JButton FLD_USERID_BTN;
    private javax.swing.JButton cancelbtn;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JSeparator jSeparator1;
    private javax.swing.JSeparator jSeparator2;
    private javax.swing.JButton submitbtn;
    // End of variables declaration//GEN-END:variables
}
