/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/*
 * MergeDataBaseBox.java
 *
 * Created on 2011-1-4, 22:06:53
 */
package spirit;

import java.sql.Connection;
import java.sql.SQLException;
import java.util.Properties;
import java.io.FileOutputStream;
import java.io.FileInputStream;
import javax.swing.JFrame;
import javax.swing.JFileChooser;
import javax.swing.JOptionPane;
import org.jdesktop.application.Action;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.commons.codec.binary.Base64;
import org.apache.commons.codec.binary.StringUtils;
import spirit.database.bean.SqlserverUrl;

/**
 *
 * @author 石卓林
 */
public class MergeDataBaseBox extends javax.swing.JDialog {

    private static final Log log = LogFactory.getLog(MergeDataBaseBox.class);

    /** Creates new form MergeDataBaseBox */
    public MergeDataBaseBox(java.awt.Frame parent, boolean modal) {
        super(parent, modal);
        initComponents();
    }

    @Action
    public void importfrom() {
        Properties p = openconfig();
        if (p == null) {
            log.debug("读取数据库设置失败!");
            return;
        }
        jTextField1.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("account_server", ""))));
        jTextField2.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("account_port", ""))));
        jTextField3.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("account_database", ""))));
        jTextField4.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("account_uid", ""))));
        jTextField5.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("account_pwd", ""))));
        jTextField8.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("game_server", ""))));
        jTextField7.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("game_port", ""))));
        jTextField10.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("game_database", ""))));
        jTextField9.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("game_uid", ""))));
        jTextField6.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("game_pwd", ""))));
    }

    @Action
    public void importto() {
        Properties p = openconfig();
        if (p == null) {
            log.debug("读取数据库设置失败!");
            return;
        }
        jTextField18.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("account_server", ""))));
        jTextField12.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("account_port", ""))));
        jTextField15.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("account_database", ""))));
        jTextField20.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("account_uid", ""))));
        jTextField16.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("account_pwd", ""))));
        jTextField14.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("game_server", ""))));
        jTextField11.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("game_port", ""))));
        jTextField17.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("game_database", ""))));
        jTextField19.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("game_uid", ""))));
        jTextField13.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("game_pwd", ""))));
    }

    @Action
    public void doCancel() {
        dispose();
    }

    @Action
    public void doSubmit() {
        if (JOptionPane.showConfirmDialog(this, "是否合并游戏区?", "警告!", JOptionPane.YES_NO_OPTION, JOptionPane.WARNING_MESSAGE) != JOptionPane.YES_OPTION)
            return;

        SqlserverUrl fromaccount = new SqlserverUrl();
        SqlserverUrl fromgame = new SqlserverUrl();
        SqlserverUrl toaccount = new SqlserverUrl();
        SqlserverUrl togame = new SqlserverUrl();

        fromaccount.setServers(jTextField1.getText().trim());
        fromaccount.setPort(Integer.valueOf(jTextField2.getText().trim()));
        fromaccount.setDatabase(jTextField3.getText().trim());
        fromaccount.setUid(jTextField4.getText().trim());
        fromaccount.setPwd(jTextField5.getText().trim());

        fromgame.setServers(jTextField8.getText().trim());
        fromgame.setPort(Integer.valueOf(jTextField7.getText().trim()));
        fromgame.setDatabase(jTextField10.getText().trim());
        fromgame.setUid(jTextField9.getText().trim());
        fromgame.setPwd(jTextField6.getText().trim());

        toaccount.setServers(jTextField18.getText().trim());
        toaccount.setPort(Integer.valueOf(jTextField12.getText().trim()));
        toaccount.setDatabase(jTextField15.getText().trim());
        toaccount.setUid(jTextField20.getText().trim());
        toaccount.setPwd(jTextField16.getText().trim());

        togame.setServers(jTextField14.getText().trim());
        togame.setPort(Integer.valueOf(jTextField11.getText().trim()));
        togame.setDatabase(jTextField17.getText().trim());
        togame.setUid(jTextField19.getText().trim());
        togame.setPwd(jTextField13.getText().trim());

        Connection conn = null;
        try {
            conn = fromaccount.getConnection();
        } catch (SQLException e) {
            JOptionPane.showMessageDialog(rootPane, "来源账号数据库连接失败!");
            return;
        } finally {
            try {
                conn.close();
            } catch (Exception e) {
            }
        }

        try {
            conn = fromgame.getConnection();
        } catch (SQLException e) {
            JOptionPane.showMessageDialog(rootPane, "来源游戏数据库连接失败!");
            return;
        } finally {
            try {
                conn.close();
            } catch (Exception e) {
            }
        }

        try {
            conn = toaccount.getConnection();
        } catch (SQLException e) {
            JOptionPane.showMessageDialog(rootPane, "目的账号数据库连接失败!");
            return;
        } finally {
            try {
                conn.close();
            } catch (Exception e) {
            }
        }

        try {
            conn = togame.getConnection();
        } catch (SQLException e) {
            JOptionPane.showMessageDialog(rootPane, "目的游戏数据库连接失败!");
            return;
        } finally {
            try {
                conn.close();
            } catch (Exception e) {
            }
        }
        JFrame mainFrame = SpiritApp.getApplication().getMainFrame();
        MergeRunBox run = new MergeRunBox(mainFrame, true, fromaccount, fromgame, toaccount, togame);
        run.setLocationRelativeTo(mainFrame);
        SpiritApp.getApplication().show(run);
    }
    /* 数据库导入导出开始 */

    @Action
    public void doFromAccountImport() {
        Properties p = openconfig();
        if (p == null) {
            log.debug("读取数据库设置失败!");
            return;
        }
        jTextField1.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("server", ""))));
        jTextField2.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("port", ""))));
        jTextField3.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("database", ""))));
        jTextField4.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("uid", ""))));
        jTextField5.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("pwd", ""))));
    }

    @Action
    public void doFromAccountExport() {
        Properties p = new Properties();
        p.setProperty("server", Base64.encodeBase64String(StringUtils.getBytesUtf8(jTextField1.getText().trim())));
        p.setProperty("port", Base64.encodeBase64String(StringUtils.getBytesUtf8(jTextField2.getText().trim())));
        p.setProperty("database", Base64.encodeBase64String(StringUtils.getBytesUtf8(jTextField3.getText().trim())));
        p.setProperty("uid", Base64.encodeBase64String(StringUtils.getBytesUtf8(jTextField4.getText().trim())));
        p.setProperty("pwd", Base64.encodeBase64String(StringUtils.getBytesUtf8(jTextField5.getText().trim())));
        saveconfig(p);
    }

    @Action
    public void doFromGameImport() {
        Properties p = openconfig();
        if (p == null) {
            log.debug("读取数据库设置失败!");
            return;
        }
        jTextField8.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("server", ""))));
        jTextField7.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("port", ""))));
        jTextField10.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("database", ""))));
        jTextField9.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("uid", ""))));
        jTextField6.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("pwd", ""))));
    }

    @Action
    public void doFromGameExport() {
        Properties p = new Properties();
        p.setProperty("server", Base64.encodeBase64String(StringUtils.getBytesUtf8(jTextField8.getText().trim())));
        p.setProperty("port", Base64.encodeBase64String(StringUtils.getBytesUtf8(jTextField7.getText().trim())));
        p.setProperty("database", Base64.encodeBase64String(StringUtils.getBytesUtf8(jTextField10.getText().trim())));
        p.setProperty("uid", Base64.encodeBase64String(StringUtils.getBytesUtf8(jTextField9.getText().trim())));
        p.setProperty("pwd", Base64.encodeBase64String(StringUtils.getBytesUtf8(jTextField6.getText().trim())));
        saveconfig(p);
    }

    @Action
    public void doToAccountImport() {
        Properties p = openconfig();
        if (p == null) {
            log.debug("读取数据库设置失败!");
            return;
        }
        jTextField18.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("server", ""))));
        jTextField12.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("port", ""))));
        jTextField15.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("database", ""))));
        jTextField20.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("uid", ""))));
        jTextField16.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("pwd", ""))));
    }

    @Action
    public void doToAccountExport() {
        Properties p = new Properties();
        p.setProperty("server", Base64.encodeBase64String(StringUtils.getBytesUtf8(jTextField18.getText().trim())));
        p.setProperty("port", Base64.encodeBase64String(StringUtils.getBytesUtf8(jTextField12.getText().trim())));
        p.setProperty("database", Base64.encodeBase64String(StringUtils.getBytesUtf8(jTextField15.getText().trim())));
        p.setProperty("uid", Base64.encodeBase64String(StringUtils.getBytesUtf8(jTextField20.getText().trim())));
        p.setProperty("pwd", Base64.encodeBase64String(StringUtils.getBytesUtf8(jTextField16.getText().trim())));
        saveconfig(p);
    }

    @Action
    public void doToGameImport() {
        Properties p = openconfig();
        if (p == null) {
            log.debug("读取数据库设置失败!");
            return;
        }
        jTextField14.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("server", ""))));
        jTextField11.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("port", ""))));
        jTextField17.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("database", ""))));
        jTextField19.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("uid", ""))));
        jTextField13.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("pwd", ""))));
    }

    @Action
    public void doToGameExport() {
        Properties p = new Properties();
        p.setProperty("server", Base64.encodeBase64String(StringUtils.getBytesUtf8(jTextField14.getText().trim())));
        p.setProperty("port", Base64.encodeBase64String(StringUtils.getBytesUtf8(jTextField11.getText().trim())));
        p.setProperty("database", Base64.encodeBase64String(StringUtils.getBytesUtf8(jTextField17.getText().trim())));
        p.setProperty("uid", Base64.encodeBase64String(StringUtils.getBytesUtf8(jTextField19.getText().trim())));
        p.setProperty("pwd", Base64.encodeBase64String(StringUtils.getBytesUtf8(jTextField13.getText().trim())));
        saveconfig(p);
    }
    /* 数据库导入导出结束 */

    public Properties openconfig() {
        Properties p = new Properties();
        JFileChooser chooser = new JFileChooser();
        chooser.setDialogTitle("请选择要导入的数据库设置存放路径");
        chooser.setDialogType(JFileChooser.SAVE_DIALOG);
        int returnVal = chooser.showOpenDialog(getParent());
        if (returnVal == JFileChooser.APPROVE_OPTION) {
            FileInputStream f = null;
            try {
                f = new FileInputStream(chooser.getSelectedFile());
                p.load(f);
                f.close();
                return p;
            } catch (Exception e) {
                JOptionPane.showMessageDialog(this, "读取数据库连接配置出错");
                log.error("读取数据库连接配置出错", e);
            } finally {
                try {
                    f.close();
                } catch (Exception e) {
                }
            }
        }
        return null;
    }

    public void saveconfig(Properties p) {
        JFileChooser chooser = new JFileChooser();
        chooser.setDialogTitle("请选择要导出的数据库设置存放路径");
        chooser.setDialogType(JFileChooser.SAVE_DIALOG);
        int returnVal = chooser.showSaveDialog(getParent());
        if (returnVal == JFileChooser.APPROVE_OPTION) {
            FileOutputStream f = null;
            try {
                f = new FileOutputStream(chooser.getSelectedFile());
                p.store(f, "MSSQL数据库连接配置文件");
                f.close();
            } catch (Exception e) {
                JOptionPane.showMessageDialog(this, "保存数据库连接配置出错");
                log.error("保存数据库连接配置出错", e);
            } finally {
                try {
                    f.close();
                } catch (Exception e) {
                }
            }
        }
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        jTextField1 = new javax.swing.JTextField();
        jLabel4 = new javax.swing.JLabel();
        jTextField2 = new javax.swing.JTextField();
        jLabel5 = new javax.swing.JLabel();
        jTextField3 = new javax.swing.JTextField();
        jLabel6 = new javax.swing.JLabel();
        jTextField4 = new javax.swing.JTextField();
        jLabel7 = new javax.swing.JLabel();
        jTextField5 = new javax.swing.JTextField();
        jTextField6 = new javax.swing.JTextField();
        jTextField7 = new javax.swing.JTextField();
        jLabel8 = new javax.swing.JLabel();
        jLabel9 = new javax.swing.JLabel();
        jLabel10 = new javax.swing.JLabel();
        jTextField8 = new javax.swing.JTextField();
        jLabel11 = new javax.swing.JLabel();
        jLabel12 = new javax.swing.JLabel();
        jLabel13 = new javax.swing.JLabel();
        jTextField9 = new javax.swing.JTextField();
        jTextField10 = new javax.swing.JTextField();
        jLabel14 = new javax.swing.JLabel();
        jTextField11 = new javax.swing.JTextField();
        jTextField12 = new javax.swing.JTextField();
        jLabel15 = new javax.swing.JLabel();
        jLabel16 = new javax.swing.JLabel();
        jTextField13 = new javax.swing.JTextField();
        jLabel17 = new javax.swing.JLabel();
        jTextField14 = new javax.swing.JTextField();
        jLabel18 = new javax.swing.JLabel();
        jLabel19 = new javax.swing.JLabel();
        jLabel20 = new javax.swing.JLabel();
        jLabel21 = new javax.swing.JLabel();
        jLabel22 = new javax.swing.JLabel();
        jTextField15 = new javax.swing.JTextField();
        jTextField16 = new javax.swing.JTextField();
        jLabel23 = new javax.swing.JLabel();
        jLabel24 = new javax.swing.JLabel();
        jTextField17 = new javax.swing.JTextField();
        jTextField18 = new javax.swing.JTextField();
        jLabel25 = new javax.swing.JLabel();
        jTextField19 = new javax.swing.JTextField();
        jLabel26 = new javax.swing.JLabel();
        jTextField20 = new javax.swing.JTextField();
        jButton1 = new javax.swing.JButton();
        jButton2 = new javax.swing.JButton();
        jButton3 = new javax.swing.JButton();
        jButton4 = new javax.swing.JButton();
        jSeparator1 = new javax.swing.JSeparator();
        jButton5 = new javax.swing.JButton();
        jButton6 = new javax.swing.JButton();
        jButton7 = new javax.swing.JButton();
        jButton8 = new javax.swing.JButton();
        jSeparator2 = new javax.swing.JSeparator();
        jButton9 = new javax.swing.JButton();
        jButton10 = new javax.swing.JButton();
        jButton11 = new javax.swing.JButton();
        jButton12 = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        org.jdesktop.application.ResourceMap resourceMap = org.jdesktop.application.Application.getInstance(spirit.SpiritApp.class).getContext().getResourceMap(MergeDataBaseBox.class);
        setTitle(resourceMap.getString("Form.title")); // NOI18N
        setName("Form"); // NOI18N
        setResizable(false);

        jLabel1.setFont(resourceMap.getFont("jLabel1.font")); // NOI18N
        jLabel1.setText(resourceMap.getString("jLabel1.text")); // NOI18N
        jLabel1.setName("jLabel1"); // NOI18N

        jLabel2.setFont(resourceMap.getFont("jLabel2.font")); // NOI18N
        jLabel2.setText(resourceMap.getString("jLabel2.text")); // NOI18N
        jLabel2.setName("jLabel2"); // NOI18N

        jLabel3.setText(resourceMap.getString("jLabel3.text")); // NOI18N
        jLabel3.setName("jLabel3"); // NOI18N

        jTextField1.setText(resourceMap.getString("jTextField1.text")); // NOI18N
        jTextField1.setName("jTextField1"); // NOI18N

        jLabel4.setText(resourceMap.getString("jLabel4.text")); // NOI18N
        jLabel4.setName("jLabel4"); // NOI18N

        jTextField2.setText(resourceMap.getString("jTextField2.text")); // NOI18N
        jTextField2.setName("jTextField2"); // NOI18N

        jLabel5.setText(resourceMap.getString("jLabel5.text")); // NOI18N
        jLabel5.setName("jLabel5"); // NOI18N

        jTextField3.setText(resourceMap.getString("jTextField3.text")); // NOI18N
        jTextField3.setName("jTextField3"); // NOI18N

        jLabel6.setText(resourceMap.getString("jLabel6.text")); // NOI18N
        jLabel6.setName("jLabel6"); // NOI18N

        jTextField4.setText(resourceMap.getString("jTextField4.text")); // NOI18N
        jTextField4.setName("jTextField4"); // NOI18N

        jLabel7.setText(resourceMap.getString("jLabel7.text")); // NOI18N
        jLabel7.setName("jLabel7"); // NOI18N

        jTextField5.setText(resourceMap.getString("jTextField5.text")); // NOI18N
        jTextField5.setName("jTextField5"); // NOI18N

        jTextField6.setName("jTextField6"); // NOI18N

        jTextField7.setText(resourceMap.getString("jTextField7.text")); // NOI18N
        jTextField7.setName("jTextField7"); // NOI18N

        jLabel8.setText(resourceMap.getString("jLabel8.text")); // NOI18N
        jLabel8.setName("jLabel8"); // NOI18N

        jLabel9.setText(resourceMap.getString("jLabel9.text")); // NOI18N
        jLabel9.setName("jLabel9"); // NOI18N

        jLabel10.setText(resourceMap.getString("jLabel10.text")); // NOI18N
        jLabel10.setName("jLabel10"); // NOI18N

        jTextField8.setName("jTextField8"); // NOI18N

        jLabel11.setText(resourceMap.getString("jLabel11.text")); // NOI18N
        jLabel11.setName("jLabel11"); // NOI18N

        jLabel12.setText(resourceMap.getString("jLabel12.text")); // NOI18N
        jLabel12.setName("jLabel12"); // NOI18N

        jLabel13.setFont(resourceMap.getFont("jLabel13.font")); // NOI18N
        jLabel13.setText(resourceMap.getString("jLabel13.text")); // NOI18N
        jLabel13.setName("jLabel13"); // NOI18N

        jTextField9.setName("jTextField9"); // NOI18N

        jTextField10.setName("jTextField10"); // NOI18N

        jLabel14.setFont(resourceMap.getFont("jLabel14.font")); // NOI18N
        jLabel14.setText(resourceMap.getString("jLabel14.text")); // NOI18N
        jLabel14.setName("jLabel14"); // NOI18N

        jTextField11.setText(resourceMap.getString("jTextField11.text")); // NOI18N
        jTextField11.setName("jTextField11"); // NOI18N

        jTextField12.setText(resourceMap.getString("jTextField12.text")); // NOI18N
        jTextField12.setName("jTextField12"); // NOI18N

        jLabel15.setFont(resourceMap.getFont("jLabel15.font")); // NOI18N
        jLabel15.setText(resourceMap.getString("jLabel15.text")); // NOI18N
        jLabel15.setName("jLabel15"); // NOI18N

        jLabel16.setText(resourceMap.getString("jLabel16.text")); // NOI18N
        jLabel16.setName("jLabel16"); // NOI18N

        jTextField13.setName("jTextField13"); // NOI18N

        jLabel17.setText(resourceMap.getString("jLabel17.text")); // NOI18N
        jLabel17.setName("jLabel17"); // NOI18N

        jTextField14.setName("jTextField14"); // NOI18N

        jLabel18.setText(resourceMap.getString("jLabel18.text")); // NOI18N
        jLabel18.setName("jLabel18"); // NOI18N

        jLabel19.setText(resourceMap.getString("jLabel19.text")); // NOI18N
        jLabel19.setName("jLabel19"); // NOI18N

        jLabel20.setText(resourceMap.getString("jLabel20.text")); // NOI18N
        jLabel20.setName("jLabel20"); // NOI18N

        jLabel21.setFont(resourceMap.getFont("jLabel21.font")); // NOI18N
        jLabel21.setText(resourceMap.getString("jLabel21.text")); // NOI18N
        jLabel21.setName("jLabel21"); // NOI18N

        jLabel22.setText(resourceMap.getString("jLabel22.text")); // NOI18N
        jLabel22.setName("jLabel22"); // NOI18N

        jTextField15.setName("jTextField15"); // NOI18N

        jTextField16.setName("jTextField16"); // NOI18N

        jLabel23.setText(resourceMap.getString("jLabel23.text")); // NOI18N
        jLabel23.setName("jLabel23"); // NOI18N

        jLabel24.setText(resourceMap.getString("jLabel24.text")); // NOI18N
        jLabel24.setName("jLabel24"); // NOI18N

        jTextField17.setName("jTextField17"); // NOI18N

        jTextField18.setName("jTextField18"); // NOI18N

        jLabel25.setText(resourceMap.getString("jLabel25.text")); // NOI18N
        jLabel25.setName("jLabel25"); // NOI18N

        jTextField19.setName("jTextField19"); // NOI18N

        jLabel26.setText(resourceMap.getString("jLabel26.text")); // NOI18N
        jLabel26.setName("jLabel26"); // NOI18N

        jTextField20.setName("jTextField20"); // NOI18N

        javax.swing.ActionMap actionMap = org.jdesktop.application.Application.getInstance(spirit.SpiritApp.class).getContext().getActionMap(MergeDataBaseBox.class, this);
        jButton1.setAction(actionMap.get("doFromAccountImport")); // NOI18N
        jButton1.setText(resourceMap.getString("jButton1.text")); // NOI18N
        jButton1.setName("jButton1"); // NOI18N

        jButton2.setAction(actionMap.get("doFromAccountExport")); // NOI18N
        jButton2.setText(resourceMap.getString("jButton2.text")); // NOI18N
        jButton2.setName("jButton2"); // NOI18N

        jButton3.setAction(actionMap.get("doFromGameImport")); // NOI18N
        jButton3.setText(resourceMap.getString("jButton3.text")); // NOI18N
        jButton3.setName("jButton3"); // NOI18N

        jButton4.setAction(actionMap.get("doFromGameExport")); // NOI18N
        jButton4.setText(resourceMap.getString("jButton4.text")); // NOI18N
        jButton4.setName("jButton4"); // NOI18N

        jSeparator1.setName("jSeparator1"); // NOI18N

        jButton5.setAction(actionMap.get("doToAccountImport")); // NOI18N
        jButton5.setText(resourceMap.getString("jButton5.text")); // NOI18N
        jButton5.setName("jButton5"); // NOI18N

        jButton6.setAction(actionMap.get("doToAccountExport")); // NOI18N
        jButton6.setText(resourceMap.getString("jButton6.text")); // NOI18N
        jButton6.setName("jButton6"); // NOI18N

        jButton7.setAction(actionMap.get("doToGameImport")); // NOI18N
        jButton7.setText(resourceMap.getString("jButton7.text")); // NOI18N
        jButton7.setName("jButton7"); // NOI18N

        jButton8.setAction(actionMap.get("doToGameExport")); // NOI18N
        jButton8.setText(resourceMap.getString("jButton8.text")); // NOI18N
        jButton8.setName("jButton8"); // NOI18N

        jSeparator2.setName("jSeparator2"); // NOI18N

        jButton9.setAction(actionMap.get("doSubmit")); // NOI18N
        jButton9.setText(resourceMap.getString("jButton9.text")); // NOI18N
        jButton9.setName("jButton9"); // NOI18N

        jButton10.setAction(actionMap.get("doCancel")); // NOI18N
        jButton10.setText(resourceMap.getString("jButton10.text")); // NOI18N
        jButton10.setName("jButton10"); // NOI18N

        jButton11.setAction(actionMap.get("importfrom")); // NOI18N
        jButton11.setText(resourceMap.getString("jButton11.text")); // NOI18N
        jButton11.setName("jButton11"); // NOI18N

        jButton12.setAction(actionMap.get("importto")); // NOI18N
        jButton12.setText(resourceMap.getString("jButton12.text")); // NOI18N
        jButton12.setName("jButton12"); // NOI18N

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(10, 10, 10)
                        .add(jLabel1))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .addContainerGap(22, Short.MAX_VALUE)
                        .add(jLabel2)
                        .add(10, 10, 10)
                        .add(jLabel3)
                        .add(4, 4, 4)
                        .add(jTextField1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 84, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(10, 10, 10)
                        .add(jLabel4)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jTextField2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 84, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(jLabel5)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jTextField3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 84, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(jLabel6)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jTextField4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 84, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(jLabel7)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(jTextField5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 84, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .addContainerGap(22, Short.MAX_VALUE)
                        .add(jLabel13)
                        .add(10, 10, 10)
                        .add(jLabel8)
                        .add(4, 4, 4)
                        .add(jTextField8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 84, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(10, 10, 10)
                        .add(jLabel12)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jTextField7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 84, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(jLabel9)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jTextField10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 84, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(jLabel11)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jTextField9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 84, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(jLabel10)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(jTextField6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 84, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .addContainerGap(564, Short.MAX_VALUE)
                        .add(jButton3)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(jButton4))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .addContainerGap()
                        .add(jSeparator1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 678, Short.MAX_VALUE))
                    .add(layout.createSequentialGroup()
                        .addContainerGap()
                        .add(jLabel14))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .addContainerGap(22, Short.MAX_VALUE)
                        .add(jLabel21)
                        .add(10, 10, 10)
                        .add(jLabel16)
                        .add(4, 4, 4)
                        .add(jTextField18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 84, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(10, 10, 10)
                        .add(jLabel20)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jTextField12, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 84, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(jLabel17)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jTextField15, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 84, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(jLabel25)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jTextField20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 84, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(jLabel18)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(jTextField16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 84, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .addContainerGap(564, Short.MAX_VALUE)
                        .add(jButton5)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(jButton6))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .addContainerGap(22, Short.MAX_VALUE)
                        .add(jLabel15)
                        .add(10, 10, 10)
                        .add(jLabel19)
                        .add(4, 4, 4)
                        .add(jTextField14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 84, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(10, 10, 10)
                        .add(jLabel22)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jTextField11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 84, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(jLabel23)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jTextField17, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 84, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(jLabel24)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jTextField19, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 84, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(jLabel26)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(jTextField13, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 84, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .addContainerGap(564, Short.MAX_VALUE)
                        .add(jButton7)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(jButton8))
                    .add(layout.createSequentialGroup()
                        .addContainerGap()
                        .add(jSeparator2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 678, Short.MAX_VALUE))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .addContainerGap()
                        .add(jButton11)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(jButton12)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 238, Short.MAX_VALUE)
                        .add(jButton9)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(jButton10))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .addContainerGap(564, Short.MAX_VALUE)
                        .add(jButton1)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(jButton2)))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(10, 10, 10)
                .add(jLabel1)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(2, 2, 2)
                        .add(jLabel2))
                    .add(layout.createSequentialGroup()
                        .add(2, 2, 2)
                        .add(jLabel3))
                    .add(jTextField1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jTextField2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel5)
                            .add(jTextField3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel6)
                            .add(jTextField4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel7)
                            .add(jTextField5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .add(jLabel4)))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jButton2)
                    .add(jButton1))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(2, 2, 2)
                        .add(jLabel13))
                    .add(layout.createSequentialGroup()
                        .add(2, 2, 2)
                        .add(jLabel8))
                    .add(jTextField8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jTextField7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel9)
                            .add(jTextField10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel11)
                            .add(jTextField9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel10)
                            .add(jTextField6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .add(jLabel12)))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jButton3)
                    .add(jButton4))
                .add(10, 10, 10)
                .add(jSeparator1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jLabel14)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(2, 2, 2)
                        .add(jLabel21))
                    .add(layout.createSequentialGroup()
                        .add(2, 2, 2)
                        .add(jLabel16))
                    .add(jTextField18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jTextField12, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel17)
                            .add(jTextField15, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel25)
                            .add(jTextField20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel18)
                            .add(jTextField16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .add(jLabel20)))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jButton5)
                    .add(jButton6))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(2, 2, 2)
                        .add(jLabel15))
                    .add(layout.createSequentialGroup()
                        .add(2, 2, 2)
                        .add(jLabel19))
                    .add(jTextField14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jTextField11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel23)
                            .add(jTextField17, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel24)
                            .add(jTextField19, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel26)
                            .add(jTextField13, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .add(jLabel22)))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jButton7)
                    .add(jButton8))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(jSeparator2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jButton9)
                    .add(jButton10)
                    .add(jButton11)
                    .add(jButton12))
                .addContainerGap())
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton jButton1;
    private javax.swing.JButton jButton10;
    private javax.swing.JButton jButton11;
    private javax.swing.JButton jButton12;
    private javax.swing.JButton jButton2;
    private javax.swing.JButton jButton3;
    private javax.swing.JButton jButton4;
    private javax.swing.JButton jButton5;
    private javax.swing.JButton jButton6;
    private javax.swing.JButton jButton7;
    private javax.swing.JButton jButton8;
    private javax.swing.JButton jButton9;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel13;
    private javax.swing.JLabel jLabel14;
    private javax.swing.JLabel jLabel15;
    private javax.swing.JLabel jLabel16;
    private javax.swing.JLabel jLabel17;
    private javax.swing.JLabel jLabel18;
    private javax.swing.JLabel jLabel19;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel20;
    private javax.swing.JLabel jLabel21;
    private javax.swing.JLabel jLabel22;
    private javax.swing.JLabel jLabel23;
    private javax.swing.JLabel jLabel24;
    private javax.swing.JLabel jLabel25;
    private javax.swing.JLabel jLabel26;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JSeparator jSeparator1;
    private javax.swing.JSeparator jSeparator2;
    private javax.swing.JTextField jTextField1;
    private javax.swing.JTextField jTextField10;
    private javax.swing.JTextField jTextField11;
    private javax.swing.JTextField jTextField12;
    private javax.swing.JTextField jTextField13;
    private javax.swing.JTextField jTextField14;
    private javax.swing.JTextField jTextField15;
    private javax.swing.JTextField jTextField16;
    private javax.swing.JTextField jTextField17;
    private javax.swing.JTextField jTextField18;
    private javax.swing.JTextField jTextField19;
    private javax.swing.JTextField jTextField2;
    private javax.swing.JTextField jTextField20;
    private javax.swing.JTextField jTextField3;
    private javax.swing.JTextField jTextField4;
    private javax.swing.JTextField jTextField5;
    private javax.swing.JTextField jTextField6;
    private javax.swing.JTextField jTextField7;
    private javax.swing.JTextField jTextField8;
    private javax.swing.JTextField jTextField9;
    // End of variables declaration//GEN-END:variables
}
