/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/*
 * ResAdminBox.java
 *
 * Created on 2010-12-30, 3:24:41
 */
package spirit;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.PreparedStatement;
import java.sql.Statement;
import javax.swing.JDialog;
import javax.swing.JFrame;
import javax.swing.JOptionPane;
import javax.swing.table.DefaultTableModel;
import org.jdesktop.application.Action;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import spirit.database.ResTableMode;

/**
 *
 * @author 石卓林
 */
public class ResAdminBox extends javax.swing.JInternalFrame {

    protected static final Log log = LogFactory.getLog(ResAdminBox.class);
    private JDialog editBox;
    private int currentpage = 1;
    private static final int pagesize = 50;
    private int pagetotal;
    private int resultcount;
    private static final String[] colbyorder = new String[]{"ASC", "DESC"};
    private static final String[] colNames = new String[]{
        "FLD_DESC0",
        "FLD_DESC1",
        "FLD_DESC2",
        "FLD_DESC3",
        "FLD_DESC4",
        "FLD_DESC5",
        "FLD_DESC6",
        "FLD_DESC7",
        "FLD_DESC8",
        "FLD_DESC9",
        "FLD_DESC10",
        "FLD_DESC11",
        "FLD_DESC12",
        "FLD_DESC13",
        "FLD_DESC14",
        "FLD_DESC15",
        "FLD_DESC16",
        "FLD_ADDDESC0",
        "FLD_ADDDESC1",
        "FLD_ADDDESC2",
        "FLD_ADDDESC3",
        "FLD_ADDDESC4",
        "FLD_ADDDESC5",
        "FLD_ADDDESC6",
        "FLD_ADDDESC7",
        "FLD_GEM0",
        "FLD_GEM1",
        "FLD_GEM2",
        "FLD_GEM3",
        "FLD_GEM4"
    };

    /** Creates new form ResAdminBox */
    public ResAdminBox() {
        initComponents();
    }

    /**
     * 搜索按钮
     */
    @Action
    public void doSearch() {
        runSearch(1);
    }

    /**
     * 打开编辑
     */
    @Action
    public void doEdit() {
        int select = dataTable.getSelectedRow();
        if (select == -1) {
            JOptionPane.showMessageDialog(this, "选择一行后才能编辑");
            return;
        }
        int id = Integer.parseInt((String) dataTable.getModel().getValueAt(select, 3));
        if (editBox == null) {
            JFrame mainFrame = SpiritApp.getApplication().getMainFrame();
            editBox = new ResAdminEditBox(mainFrame, this, true);
            editBox.setLocationRelativeTo(mainFrame);
        }
        ((ResAdminEditBox) editBox).loadProperty(id);
        SpiritApp.getApplication().show(editBox);
    }

    /**
     * 删除装备
     */
    @Action
    public void doRemove() {
        Connection conn = null;
        PreparedStatement pstmt = null;
        try {
            int removecount = 0;
            int[] selected = dataTable.getSelectedRows();
            if (selected.length == 0) {
                JOptionPane.showMessageDialog(this, "先选择需要删除的条目.可以多选");
                return;
            }
            conn = spirit.SpiritApp.game.getConnection();
            pstmt = conn.prepareStatement("DELETE TBL_ITEM WHERE FLD_MAKEINDEX = ?", ResultSet.TYPE_FORWARD_ONLY, ResultSet.CONCUR_UPDATABLE);
            for (int i = 0, length = selected.length; i < length; i++) {
                int id = Integer.parseInt((String) dataTable.getModel().getValueAt(selected[i], 3));
                if (JOptionPane.showConfirmDialog(this, "是否删除 装备IDX=" + id + " ?", "警告!", JOptionPane.YES_NO_OPTION, JOptionPane.WARNING_MESSAGE) == JOptionPane.YES_OPTION) {
                    log.info("删除角色装备:IDX = " + id);
                    pstmt.setInt(1, id);
                    pstmt.executeUpdate();
                    removecount++;
                }
            }
            if (removecount != 0) {
                doFlush();
            }
        } catch (Exception e) {
            log.error("删除角色装备失败!", e);
            JOptionPane.showMessageDialog(this, "删除角色装备时发生错误");
            close(pstmt);
            close(conn);
        }
    }

    /**
     * 第一页
     */
    @Action
    public void doFirst() {
        runSearch(1);
    }

    /**
     * 上一页
     */
    @Action
    public void doPrevious() {
        runSearch(currentpage - 1);
    }

    /**
     * 下一页
     */
    @Action
    public void doNext() {
        runSearch(currentpage + 1);
    }

    /**
     * 最后页
     */
    @Action
    public void doLast() {
        runSearch(pagetotal);
    }
//跳到指定页

    @Action
    public void doGo() {
        runSearch(Integer.parseInt(gopage.getText()));
        gopage.setText("");
    }

    /**
     * 根据输入筐显示页
     * @param page
     */
    public void runSearch(int page) {
        String keywords = fLD_CHARACTER_VAL.getText().trim();
        int selectindex = fLD_KEY.getSelectedIndex();
        int eqvalue = Integer.parseInt(fLD_KEY_VAL.getText());
        search(keywords, selectindex, eqvalue, page);
    }

    /**
     * 第一次加载 用于外部调用显示指定角色装备
     * @param keywords
     */
    public void load(String keywords) {
        fLD_CHARACTER_VAL.setText(keywords);
        runSearch(1);
    }

    /**
     * 刷新
     */
    public void doFlush() {
        runSearch(currentpage);
    }

    /**
     * 根据关键字显示页
     * @param CHARACTER
     */
    public void search(String keywords, int selectindex, int eqvalue, int page) {
        currentpage = 0;
        pagetotal = 0;
        resultcount = 0;
        Connection conn = null;
        PreparedStatement pstmt = null;
        ResultSet result = null;
        try {
            conn = SpiritApp.game.getConnection();
            pstmt = conn.prepareStatement("SELECT "
                    + "LTRIM(RTRIM(FLD_CHARACTER)) AS 角色名字,"
                    + "FLD_TYPE AS 位置,"
                    + "FLD_POS AS 摆摊物品,"
                    + "FLD_MAKEINDEX AS 物品编号,"
                    + "FLD_INDEX AS 装备名称,"
                    + "FLD_DURA AS 最小持久,"
                    + "FLD_DURAMAX AS 最大持久,"
                    + "FLD_DESC0 AS 极0,"
                    + "FLD_DESC1 AS 极1,"
                    + "FLD_DESC2 AS 极2,"
                    + "FLD_DESC3 AS 极3,"
                    + "FLD_DESC4 AS 极4,"
                    + "FLD_DESC5 AS 极5,"
                    + "FLD_DESC6 AS 极6,"
                    + "FLD_DESC7 AS 极7,"
                    + "FLD_DESC8 AS 极8,"
                    + "FLD_DESC9 AS 极9,"
                    + "FLD_DESC10 AS 极10,"
                    + "FLD_DESC11 AS 极11,"
                    + "FLD_DESC12 AS 极12,"
                    + "FLD_DESC13 AS 极13,"
                    + "FLD_DESC14 AS 极14,"
                    + "FLD_DESC15 AS 极15,"
                    + "FLD_DESC16 AS 极16 FROM TBL_ITEM WHERE FLD_CHARACTER LIKE ? AND " + colNames[selectindex] + " >= ? ORDER BY " + colNames[jComboBox1.getSelectedIndex()] + " " + colbyorder[jComboBox2.getSelectedIndex()], ResultSet.TYPE_SCROLL_SENSITIVE, ResultSet.CONCUR_READ_ONLY);
            pstmt.setString(1, "%" + keywords + "%");
            pstmt.setInt(2, eqvalue);
            result = pstmt.executeQuery();
            result.last();
            resultcount = result.getRow();
            pagetotal = resultcount / pagesize;
            if (((float) pagetotal) < ((float) resultcount / (float) pagesize)) {
                pagetotal++;
            }
            if (page < 1) {
                page = 1;
            }
            if (page > pagetotal) {
                page = pagetotal;
            }
            if (pagetotal == 0) {
                dataTable.setModel(new DefaultTableModel());
                JOptionPane.showMessageDialog(this, "没有找到指定装备");
                conn.close();
                return;
            }
            int start = (page - 1) * pagesize + 1;
            dataTable.setModel(new ResTableMode(result, start, pagesize));
            conn.close();
            currentpage = page;
            pageinfo.setText("总记录数:" + resultcount + " "
                    + "当前显示记录:" + start + "-" + Math.min(resultcount, (start + pagesize - 1)) + " "
                    + "页码:" + page + "/" + pagetotal + " "
                    + "每页显示:" + pagesize);
        } catch (Exception e) {
            log.error("搜索角色装备失败!", e);
            JOptionPane.showMessageDialog(this, "查询角色装备错误");
        } finally {
            close(result);
            close(pstmt);
            close(conn);
        }
    }

    protected void close(Connection conn) {
        try {
            conn.close();
        } catch (Exception e) {
        }
    }

    protected void close(Statement stmt) {
        try {
            stmt.close();
        } catch (Exception e) {
        }
    }

    protected void close(ResultSet rs) {
        try {
            rs.close();
        } catch (Exception e) {
        }
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        fLD_CHARACTER = new javax.swing.JLabel();
        fLD_CHARACTER_VAL = new javax.swing.JTextField();
        searchbtn = new javax.swing.JButton();
        scrollPaneToTable = new javax.swing.JScrollPane();
        dataTable = new javax.swing.JTable();
        editbtn = new javax.swing.JButton();
        firstbtn = new javax.swing.JButton();
        previousbtn = new javax.swing.JButton();
        nextbtn = new javax.swing.JButton();
        lastbtn = new javax.swing.JButton();
        pageinfo = new javax.swing.JLabel();
        gopage = new javax.swing.JTextField();
        gobtn = new javax.swing.JButton();
        removebtn = new javax.swing.JButton();
        fLD_KEY = new javax.swing.JComboBox();
        fLD_KEY_VAL = new javax.swing.JTextField();
        exp = new javax.swing.JLabel();
        jLabel1 = new javax.swing.JLabel();
        jComboBox1 = new javax.swing.JComboBox();
        jComboBox2 = new javax.swing.JComboBox();

        setClosable(true);
        setIconifiable(true);
        setMaximizable(true);
        setResizable(true);
        org.jdesktop.application.ResourceMap resourceMap = org.jdesktop.application.Application.getInstance(spirit.SpiritApp.class).getContext().getResourceMap(ResAdminBox.class);
        setTitle(resourceMap.getString("Form.title")); // NOI18N
        setName("Form"); // NOI18N

        fLD_CHARACTER.setText(resourceMap.getString("fLD_CHARACTER.text")); // NOI18N
        fLD_CHARACTER.setName("fLD_CHARACTER"); // NOI18N

        fLD_CHARACTER_VAL.setText(resourceMap.getString("fLD_CHARACTER_VAL.text")); // NOI18N
        fLD_CHARACTER_VAL.setName("fLD_CHARACTER_VAL"); // NOI18N

        javax.swing.ActionMap actionMap = org.jdesktop.application.Application.getInstance(spirit.SpiritApp.class).getContext().getActionMap(ResAdminBox.class, this);
        searchbtn.setAction(actionMap.get("doSearch")); // NOI18N
        searchbtn.setText(resourceMap.getString("searchbtn.text")); // NOI18N
        searchbtn.setName("searchbtn"); // NOI18N

        scrollPaneToTable.setName("scrollPaneToTable"); // NOI18N

        dataTable.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {},
                {},
                {},
                {}
            },
            new String [] {

            }
        ));
        dataTable.setAutoResizeMode(javax.swing.JTable.AUTO_RESIZE_OFF);
        dataTable.setName("dataTable"); // NOI18N
        scrollPaneToTable.setViewportView(dataTable);

        editbtn.setAction(actionMap.get("doEdit")); // NOI18N
        editbtn.setText(resourceMap.getString("editbtn.text")); // NOI18N
        editbtn.setName("editbtn"); // NOI18N

        firstbtn.setAction(actionMap.get("doFirst")); // NOI18N
        firstbtn.setText(resourceMap.getString("firstbtn.text")); // NOI18N
        firstbtn.setName("firstbtn"); // NOI18N

        previousbtn.setAction(actionMap.get("doPrevious")); // NOI18N
        previousbtn.setText(resourceMap.getString("previousbtn.text")); // NOI18N
        previousbtn.setName("previousbtn"); // NOI18N

        nextbtn.setAction(actionMap.get("doNext")); // NOI18N
        nextbtn.setText(resourceMap.getString("nextbtn.text")); // NOI18N
        nextbtn.setName("nextbtn"); // NOI18N

        lastbtn.setAction(actionMap.get("doLast")); // NOI18N
        lastbtn.setText(resourceMap.getString("lastbtn.text")); // NOI18N
        lastbtn.setName("lastbtn"); // NOI18N

        pageinfo.setText(resourceMap.getString("pageinfo.text")); // NOI18N
        pageinfo.setName("pageinfo"); // NOI18N

        gopage.setText(resourceMap.getString("gopage.text")); // NOI18N
        gopage.setName("gopage"); // NOI18N

        gobtn.setAction(actionMap.get("doGo")); // NOI18N
        gobtn.setText(resourceMap.getString("gobtn.text")); // NOI18N
        gobtn.setName("gobtn"); // NOI18N

        removebtn.setAction(actionMap.get("doRemove")); // NOI18N
        removebtn.setText(resourceMap.getString("removebtn.text")); // NOI18N
        removebtn.setName("removebtn"); // NOI18N

        fLD_KEY.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "极品属性0", "极品属性1", "极品属性2", "极品属性3", "极品属性4", "极品属性5", "极品属性6", "极品属性7", "极品属性8", "极品属性9", "极品属性10", "极品属性11", "极品属性12", "极品属性13", "极品属性14", "极品属性15", "极品属性16", "特别属性0", "特别属性1", "特别属性2", "特别属性3", "特别属性4", "特别属性5", "特别属性6", "特别属性7", "开孔镶嵌属性0", "开孔镶嵌属性1", "开孔镶嵌属性2", "开孔镶嵌属性3", "开孔镶嵌属性4" }));
        fLD_KEY.setName("fLD_KEY"); // NOI18N

        fLD_KEY_VAL.setText(resourceMap.getString("fLD_KEY_VAL.text")); // NOI18N
        fLD_KEY_VAL.setName("fLD_KEY_VAL"); // NOI18N

        exp.setText(resourceMap.getString("exp.text")); // NOI18N
        exp.setName("exp"); // NOI18N

        jLabel1.setText(resourceMap.getString("jLabel1.text")); // NOI18N
        jLabel1.setName("jLabel1"); // NOI18N

        jComboBox1.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "装备极品属性0", "装备极品属性1", "装备极品属性2", "装备极品属性3", "装备极品属性4", "装备极品属性5", "装备极品属性6", "装备极品属性7", "装备极品属性8", "装备极品属性9", "装备极品属性10", "装备极品属性11", "装备极品属性12", "装备极品属性13", "装备极品属性14", "装备极品属性15", "装备极品属性16", "装备特别属性0", "装备特别属性1", "装备特别属性2", "装备特别属性3", "装备特别属性4", "装备特别属性5", "装备特别属性6", "装备特别属性7", "装备开孔镶嵌属性0", "装备开孔镶嵌属性1", "装备开孔镶嵌属性2", "装备开孔镶嵌属性3", "装备开孔镶嵌属性4" }));
        jComboBox1.setName("jComboBox1"); // NOI18N

        jComboBox2.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "由小到大", "由大到小" }));
        jComboBox2.setName("jComboBox2"); // NOI18N

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(fLD_CHARACTER)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(fLD_CHARACTER_VAL, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 108, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(fLD_KEY, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(exp, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 12, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(fLD_KEY_VAL, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 40, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(jLabel1)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jComboBox1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jComboBox2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(searchbtn)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(editbtn)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(removebtn)
                .addContainerGap(35, Short.MAX_VALUE))
            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .addContainerGap()
                        .add(pageinfo)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 557, Short.MAX_VALUE))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .addContainerGap()
                        .add(gopage, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 30, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(gobtn)
                        .add(10, 10, 10)))
                .add(firstbtn)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(previousbtn)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(nextbtn)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(lastbtn)
                .addContainerGap())
            .add(scrollPaneToTable, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 891, Short.MAX_VALUE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(fLD_CHARACTER)
                    .add(fLD_CHARACTER_VAL, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(fLD_KEY_VAL, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(fLD_KEY, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(exp)
                    .add(jLabel1)
                    .add(jComboBox1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jComboBox2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(searchbtn)
                    .add(editbtn)
                    .add(removebtn))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(scrollPaneToTable, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 417, Short.MAX_VALUE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(lastbtn)
                        .add(nextbtn)
                        .add(previousbtn)
                        .add(firstbtn)
                        .add(gopage, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(gobtn))
                    .add(pageinfo))
                .addContainerGap())
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JTable dataTable;
    private javax.swing.JButton editbtn;
    private javax.swing.JLabel exp;
    private javax.swing.JLabel fLD_CHARACTER;
    private javax.swing.JTextField fLD_CHARACTER_VAL;
    private javax.swing.JComboBox fLD_KEY;
    private javax.swing.JTextField fLD_KEY_VAL;
    private javax.swing.JButton firstbtn;
    private javax.swing.JButton gobtn;
    private javax.swing.JTextField gopage;
    private javax.swing.JComboBox jComboBox1;
    private javax.swing.JComboBox jComboBox2;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JButton lastbtn;
    private javax.swing.JButton nextbtn;
    private javax.swing.JLabel pageinfo;
    private javax.swing.JButton previousbtn;
    private javax.swing.JButton removebtn;
    private javax.swing.JScrollPane scrollPaneToTable;
    private javax.swing.JButton searchbtn;
    // End of variables declaration//GEN-END:variables
}
