/*
 * SpiritApp.java
 */
package spirit;

import org.jdesktop.application.Application;
import org.jdesktop.application.SingleFrameApplication;
import javax.swing.JOptionPane;
import spirit.database.bean.SqlserverUrl;

/**
 * The main class of the application.
 */
public class SpiritApp extends SingleFrameApplication {

    public static SqlserverUrl account = null;
    public static SqlserverUrl game = null;
    public static SqlserverUrl res = null;

    /**
     * At startup create and show the main frame of the application.
     */
    @Override
    protected void startup() {
        show(new SpiritView(this));
    }

    /**
     * This method is to initialize the specified window by injecting resources.
     * Windows shown in our application come fully initialized from the GUI
     * builder, so this additional configuration is not needed.
     */
    @Override
    protected void configureWindow(java.awt.Window root) {
    }

    /**
     * A convenient static getter for the application instance.
     * @return the instance of SpiritApp
     */
    public static SpiritApp getApplication() {
        return Application.getInstance(SpiritApp.class);
    }

    /**
     * Main method launching the application.
     */
    public static void main(String[] args) {
        try {
            Class.forName("com.microsoft.sqlserver.jdbc.SQLServerDriver");
        } catch (ClassNotFoundException e) {
            //JOptionPane.showMessageDialog(null, "数据库驱动加载失败");
            //return;
        }
        launch(SpiritApp.class, args);
    }
}
