/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/*
 * SetConnect.java
 *
 * Created on 2010-12-28, 15:07:15
 */
package spirit.database;

import java.sql.Connection;
import java.sql.SQLException;
import java.util.Properties;
import java.io.FileOutputStream;
import java.io.FileInputStream;
import javax.swing.JFileChooser;
import javax.swing.JOptionPane;
import org.jdesktop.application.Action;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.commons.codec.binary.Base64;
import org.apache.commons.codec.binary.StringUtils;
import org.jdesktop.application.Task;
import spirit.database.bean.SqlserverUrl;

/**
 *
 * @author 石卓林
 */
public class SetConnect extends javax.swing.JDialog {

    protected static final Log log = LogFactory.getLog(SetConnect.class);
    private boolean isClose;

    /** Creates new form SetConnect */
    public SetConnect(java.awt.Frame parent, boolean modal, boolean isClose) {
        super(parent, modal);
        this.isClose = isClose;
        initComponents();
    }

    @Action
    public void doSet() {
        Connection conn = null;
        SqlserverUrl account = new SqlserverUrl();
        //验证账号服务器
        try {
            account.setServers(jTextField1.getText().trim());
            account.setPort(Integer.valueOf(jTextField2.getText().trim()));
            account.setDatabase(jTextField3.getText().trim());
            account.setUid(jTextField4.getText().trim());
            account.setPwd(jTextField5.getText().trim());
        } catch (Exception e) {
            JOptionPane.showMessageDialog(this, "账号数据库设置错误");
            return;
        }
        try {
            conn = account.getConnection();
        } catch (Exception e) {
            JOptionPane.showMessageDialog(this, "账号数据库连接失败");
            return;
        } finally {
            try {
                conn.close();
            } catch (SQLException e) {
            }
            spirit.SpiritApp.account = account;
        }
        //验证游戏服务器
        SqlserverUrl game = new SqlserverUrl();
        try {
            game.setServers(jTextField7.getText().trim());
            game.setPort(Integer.valueOf(jTextField6.getText().trim()));
            game.setDatabase(jTextField9.getText().trim());
            game.setUid(jTextField10.getText().trim());
            game.setPwd(jTextField8.getText().trim());
        } catch (Exception e) {
            JOptionPane.showMessageDialog(this, "游戏数据库设置错误");
            return;
        }
        try {
            conn = game.getConnection();
        } catch (Exception e) {
            JOptionPane.showMessageDialog(this, "游戏数据库连接失败");
            return;
        } finally {
            try {
                conn.close();
            } catch (Exception e) {
            }
            spirit.SpiritApp.game = game;
        }
        //验证装备服务器
        SqlserverUrl res = new SqlserverUrl();
        try {
            res.setServers(jTextField15.getText().trim());
            res.setPort(Integer.valueOf(jTextField11.getText().trim()));
            res.setDatabase(jTextField14.getText().trim());
            res.setUid(jTextField12.getText().trim());
            res.setPwd(jTextField13.getText().trim());
        } catch (Exception e) {
            JOptionPane.showMessageDialog(this, "固定装备数据库设置错误");
            return;
        }
        try {
            conn = res.getConnection();
        } catch (Exception e) {
            JOptionPane.showMessageDialog(this, "装备数据库连接失败");
            return;
        } finally {
            try {
                conn.close();
            } catch (SQLException e) {
            }
            spirit.SpiritApp.res = res;
        }
        dispose();
    }

    @Action
    public void doCannel() {
        if (isClose) {
            System.exit(0);
        } else {
            dispose();
        }
    }

    /**
     * 导入游戏数据库设置
     */
    @Action
    public void importAccount() {
        Properties p = openconfig();
        if (p == null) {
            log.debug("读取账号数据库设置失败!");
            return;
        }
        jTextField1.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("server", ""))));
        jTextField2.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("port", ""))));
        jTextField3.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("database", ""))));
        jTextField4.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("uid", ""))));
        jTextField5.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("pwd", ""))));
    }

    /**
     * 导出游戏数据库设置
     */
    @Action
    public void exportAccount() {
        Properties p = new Properties();
        p.setProperty("server", Base64.encodeBase64String(StringUtils.getBytesUtf8(jTextField1.getText().trim())));
        p.setProperty("port", Base64.encodeBase64String(StringUtils.getBytesUtf8(jTextField2.getText().trim())));
        p.setProperty("database", Base64.encodeBase64String(StringUtils.getBytesUtf8(jTextField3.getText().trim())));
        p.setProperty("uid", Base64.encodeBase64String(StringUtils.getBytesUtf8(jTextField4.getText().trim())));
        p.setProperty("pwd", Base64.encodeBase64String(StringUtils.getBytesUtf8(jTextField5.getText().trim())));
        saveconfig(p);
    }

    /**
     * 导入游戏数据库设置
     */
    @Action
    public void importgame() {
        Properties p = openconfig();
        if (p == null) {
            log.debug("读取游戏数据库设置失败!");
            return;
        }
        jTextField7.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("server", ""))));
        jTextField6.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("port", ""))));
        jTextField9.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("database", ""))));
        jTextField10.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("uid", ""))));
        jTextField8.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("pwd", ""))));
    }

    /**
     * 导出游戏数据库设置
     * @return
     */
    @Action
    public void exportgame() {
        Properties p = new Properties();
        p.setProperty("server", Base64.encodeBase64String(StringUtils.getBytesUtf8(jTextField7.getText().trim())));
        p.setProperty("port", Base64.encodeBase64String(StringUtils.getBytesUtf8(jTextField6.getText().trim())));
        p.setProperty("database", Base64.encodeBase64String(StringUtils.getBytesUtf8(jTextField9.getText().trim())));
        p.setProperty("uid", Base64.encodeBase64String(StringUtils.getBytesUtf8(jTextField10.getText().trim())));
        p.setProperty("pwd", Base64.encodeBase64String(StringUtils.getBytesUtf8(jTextField8.getText().trim())));
        saveconfig(p);
    }

    @Action
    public void importres() {
        Properties p = openconfig();
        if (p == null) {
            log.debug("读取固定装备数据库设置失败!");
            return;
        }
        jTextField15.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("server", ""))));
        jTextField11.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("port", ""))));
        jTextField14.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("database", ""))));
        jTextField12.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("uid", ""))));
        jTextField13.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("pwd", ""))));
    }

    @Action
    public void exportres() {
        Properties p = new Properties();
        p.setProperty("server", Base64.encodeBase64String(StringUtils.getBytesUtf8(jTextField15.getText().trim())));
        p.setProperty("port", Base64.encodeBase64String(StringUtils.getBytesUtf8(jTextField11.getText().trim())));
        p.setProperty("database", Base64.encodeBase64String(StringUtils.getBytesUtf8(jTextField14.getText().trim())));
        p.setProperty("uid", Base64.encodeBase64String(StringUtils.getBytesUtf8(jTextField12.getText().trim())));
        p.setProperty("pwd", Base64.encodeBase64String(StringUtils.getBytesUtf8(jTextField13.getText().trim())));
        saveconfig(p);
    }

    public Properties openconfig() {
        Properties p = new Properties();
        JFileChooser chooser = new JFileChooser();
        chooser.setDialogTitle("请选择要导入的数据库设置存放路径");
        chooser.setDialogType(JFileChooser.SAVE_DIALOG);
        int returnVal = chooser.showOpenDialog(getParent());
        if (returnVal == JFileChooser.APPROVE_OPTION) {
            FileInputStream f = null;
            try {
                f = new FileInputStream(chooser.getSelectedFile());
                p.load(f);
                f.close();
                return p;
            } catch (Exception e) {
                JOptionPane.showMessageDialog(this, "读取数据库连接配置出错");
                log.error("读取数据库连接配置出错", e);
            } finally {
                try {
                    f.close();
                } catch (Exception e) {
                }
            }
        }
        return null;
    }

    public void saveconfig(Properties p) {
        JFileChooser chooser = new JFileChooser();
        chooser.setDialogTitle("请选择要导出的数据库设置存放路径");
        chooser.setDialogType(JFileChooser.SAVE_DIALOG);
        int returnVal = chooser.showSaveDialog(getParent());
        if (returnVal == JFileChooser.APPROVE_OPTION) {
            FileOutputStream f = null;
            try {
                f = new FileOutputStream(chooser.getSelectedFile());
                p.store(f, "MSSQL数据库连接配置文件");
                f.close();
            } catch (Exception e) {
                JOptionPane.showMessageDialog(this, "保存数据库连接配置出错");
                log.error("保存数据库连接配置出错", e);
            } finally {
                try {
                    f.close();
                } catch (Exception e) {
                }
            }
        }
    }

    @Action
    public Task backup() {
        jButton9.setEnabled(false);
        return new BackupTask(org.jdesktop.application.Application.getInstance(spirit.SpiritApp.class));
    }

    private class BackupTask extends org.jdesktop.application.Task<Object, Void> {

        BackupTask(org.jdesktop.application.Application app) {
            // Runs on the EDT.  Copy GUI state that
            // doInBackground() depends on from parameters
            // to BackupTask fields, here.
            super(app);
        }

        @Override
        protected Object doInBackground() {
            // Your Task's code here.  This method runs
            // on a background thread, so don't reference
            // the Swing GUI from here.
            doSet();
            if (spirit.SpiritApp.account == null || spirit.SpiritApp.game == null || spirit.SpiritApp.res == null) {
                return null;
            }
            try {
                spirit.SpiritApp.account.backup();
                spirit.SpiritApp.game.backup();
                spirit.SpiritApp.res.backup();
            } catch (Exception e) {
                JOptionPane.showMessageDialog(rootPane, "备份操作失败!");
            }
            return null;  // return your result
        }

        @Override
        protected void succeeded(Object result) {
            // Runs on the EDT.  Update the GUI based on
            // the result computed by doInBackground().
            jButton9.setEnabled(true);
        }
    }

    @Action
    public void importall() {
        Properties p = openconfig();
        if (p == null) {
            log.debug("读取数据库设置失败!");
            return;
        }
        //account
        jTextField1.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("account_server", ""))));
        jTextField2.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("account_port", ""))));
        jTextField3.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("account_database", ""))));
        jTextField4.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("account_uid", ""))));
        jTextField5.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("account_pwd", ""))));
//game
        jTextField7.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("game_server", ""))));
        jTextField6.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("game_port", ""))));
        jTextField9.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("game_database", ""))));
        jTextField10.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("game_uid", ""))));
        jTextField8.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("game_pwd", ""))));
        //res
        jTextField15.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("res_server", ""))));
        jTextField11.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("res_port", ""))));
        jTextField14.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("res_database", ""))));
        jTextField12.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("res_uid", ""))));
        jTextField13.setText(StringUtils.newStringUtf8(Base64.decodeBase64(p.getProperty("res_pwd", ""))));
    }

    @Action
    public void exportall() {
        //acctoun
        Properties p = new Properties();
        p.setProperty("account_server", Base64.encodeBase64String(StringUtils.getBytesUtf8(jTextField1.getText().trim())));
        p.setProperty("account_port", Base64.encodeBase64String(StringUtils.getBytesUtf8(jTextField2.getText().trim())));
        p.setProperty("account_database", Base64.encodeBase64String(StringUtils.getBytesUtf8(jTextField3.getText().trim())));
        p.setProperty("account_uid", Base64.encodeBase64String(StringUtils.getBytesUtf8(jTextField4.getText().trim())));
        p.setProperty("account_pwd", Base64.encodeBase64String(StringUtils.getBytesUtf8(jTextField5.getText().trim())));
        //game
        p.setProperty("game_server", Base64.encodeBase64String(StringUtils.getBytesUtf8(jTextField7.getText().trim())));
        p.setProperty("game_port", Base64.encodeBase64String(StringUtils.getBytesUtf8(jTextField6.getText().trim())));
        p.setProperty("game_database", Base64.encodeBase64String(StringUtils.getBytesUtf8(jTextField9.getText().trim())));
        p.setProperty("game_uid", Base64.encodeBase64String(StringUtils.getBytesUtf8(jTextField10.getText().trim())));
        p.setProperty("game_pwd", Base64.encodeBase64String(StringUtils.getBytesUtf8(jTextField8.getText().trim())));
        //res
        p.setProperty("res_server", Base64.encodeBase64String(StringUtils.getBytesUtf8(jTextField15.getText().trim())));
        p.setProperty("res_port", Base64.encodeBase64String(StringUtils.getBytesUtf8(jTextField11.getText().trim())));
        p.setProperty("res_database", Base64.encodeBase64String(StringUtils.getBytesUtf8(jTextField14.getText().trim())));
        p.setProperty("res_uid", Base64.encodeBase64String(StringUtils.getBytesUtf8(jTextField12.getText().trim())));
        p.setProperty("res_pwd", Base64.encodeBase64String(StringUtils.getBytesUtf8(jTextField13.getText().trim())));
        saveconfig(p);
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();
        jLabel6 = new javax.swing.JLabel();
        jLabel7 = new javax.swing.JLabel();
        jLabel8 = new javax.swing.JLabel();
        jTextField1 = new javax.swing.JTextField();
        jTextField3 = new javax.swing.JTextField();
        jTextField4 = new javax.swing.JTextField();
        jTextField5 = new javax.swing.JTextField();
        jTextField2 = new javax.swing.JTextField();
        jSeparator1 = new javax.swing.JSeparator();
        jLabel9 = new javax.swing.JLabel();
        jTextField6 = new javax.swing.JTextField();
        jLabel10 = new javax.swing.JLabel();
        jTextField7 = new javax.swing.JTextField();
        jLabel11 = new javax.swing.JLabel();
        jTextField8 = new javax.swing.JTextField();
        jTextField9 = new javax.swing.JTextField();
        jLabel12 = new javax.swing.JLabel();
        jLabel13 = new javax.swing.JLabel();
        jTextField10 = new javax.swing.JTextField();
        jSeparator2 = new javax.swing.JSeparator();
        jTextField11 = new javax.swing.JTextField();
        jLabel14 = new javax.swing.JLabel();
        jLabel15 = new javax.swing.JLabel();
        jLabel16 = new javax.swing.JLabel();
        jLabel17 = new javax.swing.JLabel();
        jLabel18 = new javax.swing.JLabel();
        jTextField12 = new javax.swing.JTextField();
        jTextField13 = new javax.swing.JTextField();
        jTextField14 = new javax.swing.JTextField();
        jTextField15 = new javax.swing.JTextField();
        jButton1 = new javax.swing.JButton();
        jButton2 = new javax.swing.JButton();
        jButton3 = new javax.swing.JButton();
        jButton4 = new javax.swing.JButton();
        jButton5 = new javax.swing.JButton();
        jButton6 = new javax.swing.JButton();
        jButton7 = new javax.swing.JButton();
        jButton8 = new javax.swing.JButton();
        jSeparator3 = new javax.swing.JSeparator();
        jButton9 = new javax.swing.JButton();
        jButton10 = new javax.swing.JButton();
        jButton11 = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        org.jdesktop.application.ResourceMap resourceMap = org.jdesktop.application.Application.getInstance(spirit.SpiritApp.class).getContext().getResourceMap(SetConnect.class);
        setTitle(resourceMap.getString("Form.title")); // NOI18N
        setName("Form"); // NOI18N
        setResizable(false);

        jLabel1.setFont(resourceMap.getFont("jLabel1.font")); // NOI18N
        jLabel1.setText(resourceMap.getString("jLabel1.text")); // NOI18N
        jLabel1.setName("jLabel1"); // NOI18N

        jLabel2.setFont(resourceMap.getFont("jLabel2.font")); // NOI18N
        jLabel2.setText(resourceMap.getString("jLabel2.text")); // NOI18N
        jLabel2.setName("jLabel2"); // NOI18N

        jLabel3.setFont(resourceMap.getFont("jLabel3.font")); // NOI18N
        jLabel3.setText(resourceMap.getString("jLabel3.text")); // NOI18N
        jLabel3.setName("jLabel3"); // NOI18N

        jLabel4.setText(resourceMap.getString("jLabel4.text")); // NOI18N
        jLabel4.setName("jLabel4"); // NOI18N

        jLabel5.setText(resourceMap.getString("jLabel5.text")); // NOI18N
        jLabel5.setName("jLabel5"); // NOI18N

        jLabel6.setText(resourceMap.getString("jLabel6.text")); // NOI18N
        jLabel6.setName("jLabel6"); // NOI18N

        jLabel7.setText(resourceMap.getString("jLabel7.text")); // NOI18N
        jLabel7.setName("jLabel7"); // NOI18N

        jLabel8.setText(resourceMap.getString("jLabel8.text")); // NOI18N
        jLabel8.setName("jLabel8"); // NOI18N

        jTextField1.setText(resourceMap.getString("jTextField1.text")); // NOI18N
        jTextField1.setName("jTextField1"); // NOI18N

        jTextField3.setText(resourceMap.getString("jTextField3.text")); // NOI18N
        jTextField3.setName("jTextField3"); // NOI18N

        jTextField4.setText(resourceMap.getString("jTextField4.text")); // NOI18N
        jTextField4.setName("jTextField4"); // NOI18N

        jTextField5.setText(resourceMap.getString("jTextField5.text")); // NOI18N
        jTextField5.setName("jTextField5"); // NOI18N

        jTextField2.setText(resourceMap.getString("jTextField2.text")); // NOI18N
        jTextField2.setName("jTextField2"); // NOI18N

        jSeparator1.setName("jSeparator1"); // NOI18N

        jLabel9.setText(resourceMap.getString("jLabel9.text")); // NOI18N
        jLabel9.setName("jLabel9"); // NOI18N

        jTextField6.setText(resourceMap.getString("jTextField6.text")); // NOI18N
        jTextField6.setName("jTextField6"); // NOI18N

        jLabel10.setText(resourceMap.getString("jLabel10.text")); // NOI18N
        jLabel10.setName("jLabel10"); // NOI18N

        jTextField7.setText(resourceMap.getString("jTextField7.text")); // NOI18N
        jTextField7.setName("jTextField7"); // NOI18N

        jLabel11.setText(resourceMap.getString("jLabel11.text")); // NOI18N
        jLabel11.setName("jLabel11"); // NOI18N

        jTextField8.setText(resourceMap.getString("jTextField8.text")); // NOI18N
        jTextField8.setName("jTextField8"); // NOI18N

        jTextField9.setText(resourceMap.getString("jTextField9.text")); // NOI18N
        jTextField9.setName("jTextField9"); // NOI18N

        jLabel12.setText(resourceMap.getString("jLabel12.text")); // NOI18N
        jLabel12.setName("jLabel12"); // NOI18N

        jLabel13.setText(resourceMap.getString("jLabel13.text")); // NOI18N
        jLabel13.setName("jLabel13"); // NOI18N

        jTextField10.setText(resourceMap.getString("jTextField10.text")); // NOI18N
        jTextField10.setName("jTextField10"); // NOI18N

        jSeparator2.setName("jSeparator2"); // NOI18N

        jTextField11.setText(resourceMap.getString("jTextField11.text")); // NOI18N
        jTextField11.setName("jTextField11"); // NOI18N

        jLabel14.setText(resourceMap.getString("jLabel14.text")); // NOI18N
        jLabel14.setName("jLabel14"); // NOI18N

        jLabel15.setText(resourceMap.getString("jLabel15.text")); // NOI18N
        jLabel15.setName("jLabel15"); // NOI18N

        jLabel16.setText(resourceMap.getString("jLabel16.text")); // NOI18N
        jLabel16.setName("jLabel16"); // NOI18N

        jLabel17.setText(resourceMap.getString("jLabel17.text")); // NOI18N
        jLabel17.setName("jLabel17"); // NOI18N

        jLabel18.setText(resourceMap.getString("jLabel18.text")); // NOI18N
        jLabel18.setName("jLabel18"); // NOI18N

        jTextField12.setText(resourceMap.getString("jTextField12.text")); // NOI18N
        jTextField12.setName("jTextField12"); // NOI18N

        jTextField13.setText(resourceMap.getString("jTextField13.text")); // NOI18N
        jTextField13.setName("jTextField13"); // NOI18N

        jTextField14.setText(resourceMap.getString("jTextField14.text")); // NOI18N
        jTextField14.setName("jTextField14"); // NOI18N

        jTextField15.setText(resourceMap.getString("jTextField15.text")); // NOI18N
        jTextField15.setName("jTextField15"); // NOI18N

        javax.swing.ActionMap actionMap = org.jdesktop.application.Application.getInstance(spirit.SpiritApp.class).getContext().getActionMap(SetConnect.class, this);
        jButton1.setAction(actionMap.get("doCannel")); // NOI18N
        jButton1.setText(resourceMap.getString("jButton1.text")); // NOI18N
        jButton1.setName("jButton1"); // NOI18N

        jButton2.setAction(actionMap.get("doSet")); // NOI18N
        jButton2.setText(resourceMap.getString("jButton2.text")); // NOI18N
        jButton2.setName("jButton2"); // NOI18N

        jButton3.setAction(actionMap.get("importAccount")); // NOI18N
        jButton3.setText(resourceMap.getString("jButton3.text")); // NOI18N
        jButton3.setName("jButton3"); // NOI18N

        jButton4.setAction(actionMap.get("exportAccount")); // NOI18N
        jButton4.setText(resourceMap.getString("jButton4.text")); // NOI18N
        jButton4.setName("jButton4"); // NOI18N

        jButton5.setAction(actionMap.get("importgame")); // NOI18N
        jButton5.setText(resourceMap.getString("jButton5.text")); // NOI18N
        jButton5.setName("jButton5"); // NOI18N

        jButton6.setAction(actionMap.get("exportgame")); // NOI18N
        jButton6.setText(resourceMap.getString("jButton6.text")); // NOI18N
        jButton6.setName("jButton6"); // NOI18N

        jButton7.setAction(actionMap.get("exportres")); // NOI18N
        jButton7.setText(resourceMap.getString("jButton7.text")); // NOI18N
        jButton7.setName("jButton7"); // NOI18N

        jButton8.setAction(actionMap.get("importres")); // NOI18N
        jButton8.setText(resourceMap.getString("jButton8.text")); // NOI18N
        jButton8.setName("jButton8"); // NOI18N

        jSeparator3.setName("jSeparator3"); // NOI18N

        jButton9.setAction(actionMap.get("backup")); // NOI18N
        jButton9.setText(resourceMap.getString("jButton9.text")); // NOI18N
        jButton9.setName("jButton9"); // NOI18N

        jButton10.setAction(actionMap.get("importall")); // NOI18N
        jButton10.setText(resourceMap.getString("jButton10.text")); // NOI18N
        jButton10.setName("jButton10"); // NOI18N

        jButton11.setAction(actionMap.get("exportall")); // NOI18N
        jButton11.setText(resourceMap.getString("jButton11.text")); // NOI18N
        jButton11.setName("jButton11"); // NOI18N

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .addContainerGap()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(jSeparator2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 475, Short.MAX_VALUE)
                            .add(jSeparator1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 475, Short.MAX_VALUE)
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(jLabel4)
                                    .add(jLabel6))
                                .add(18, 18, 18)
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                                    .add(layout.createSequentialGroup()
                                        .add(jTextField3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 107, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .add(18, 18, 18)
                                        .add(jLabel7)
                                        .add(10, 10, 10)
                                        .add(jTextField4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 85, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                    .add(jTextField1))
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                                        .add(jLabel8)
                                        .add(12, 12, 12))
                                    .add(layout.createSequentialGroup()
                                        .add(jLabel5)
                                        .add(12, 12, 12)))
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                                    .add(jTextField2)
                                    .add(jTextField5, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 77, Short.MAX_VALUE)))
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(jLabel11)
                                    .add(jLabel9))
                                .add(18, 18, 18)
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                                    .add(layout.createSequentialGroup()
                                        .add(jTextField9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 107, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .add(18, 18, 18)
                                        .add(jLabel13)
                                        .add(10, 10, 10)
                                        .add(jTextField10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 85, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                    .add(jTextField7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 244, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                                        .add(jLabel12)
                                        .add(12, 12, 12))
                                    .add(layout.createSequentialGroup()
                                        .add(jLabel10)
                                        .add(12, 12, 12)))
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                                    .add(jTextField6)
                                    .add(jTextField8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 77, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                            .add(layout.createSequentialGroup()
                                .add(jLabel1)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 268, Short.MAX_VALUE)
                                .add(jButton3)
                                .add(18, 18, 18)
                                .add(jButton4))
                            .add(layout.createSequentialGroup()
                                .add(jLabel3)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 268, Short.MAX_VALUE)
                                .add(jButton8)
                                .add(18, 18, 18)
                                .add(jButton7))
                            .add(layout.createSequentialGroup()
                                .add(jLabel2)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 270, Short.MAX_VALUE)
                                .add(jButton5)
                                .add(16, 16, 16)
                                .add(jButton6))))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .add(40, 40, 40)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(jLabel18)
                            .add(jLabel15))
                        .add(18, 18, 18)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(jTextField15, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 244, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(layout.createSequentialGroup()
                                .add(jTextField14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 107, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(18, 18, 18)
                                .add(jLabel14)
                                .add(10, 10, 10)
                                .add(jTextField12, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 85, Short.MAX_VALUE)))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                                .add(jLabel16)
                                .add(12, 12, 12))
                            .add(layout.createSequentialGroup()
                                .add(jLabel17)
                                .add(12, 12, 12)))
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, jTextField11)
                            .add(jTextField13, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 77, Short.MAX_VALUE)))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .addContainerGap()
                        .add(jButton2)
                        .add(18, 18, 18)
                        .add(jButton1))
                    .add(layout.createSequentialGroup()
                        .addContainerGap()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                                .add(10, 10, 10)
                                .add(jButton10)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jButton11)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 84, Short.MAX_VALUE)
                                .add(jButton9))
                            .add(jSeparator3, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 475, Short.MAX_VALUE))))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(18, 18, 18)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel1)
                    .add(jButton4)
                    .add(jButton3))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel4)
                    .add(jTextField1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jTextField2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel5))
                .add(18, 18, 18)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel6)
                    .add(jTextField3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel7)
                    .add(jTextField5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jTextField4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel8))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(jSeparator1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel2)
                    .add(jButton5)
                    .add(jButton6))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel11)
                    .add(jTextField7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jTextField6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel10))
                .add(18, 18, 18)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel9)
                    .add(jTextField9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel13)
                    .add(jTextField8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jTextField10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel12))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(jSeparator2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel3)
                    .add(jButton7)
                    .add(jButton8))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel18)
                    .add(jTextField15, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jTextField11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel17))
                .add(18, 18, 18)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel15)
                    .add(jTextField14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel14)
                    .add(jTextField13, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jTextField12, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel16))
                .add(18, 18, 18)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jButton1)
                    .add(jButton2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(18, 18, 18)
                .add(jSeparator3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jButton9)
                    .add(jButton10)
                    .add(jButton11))
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton jButton1;
    private javax.swing.JButton jButton10;
    private javax.swing.JButton jButton11;
    private javax.swing.JButton jButton2;
    private javax.swing.JButton jButton3;
    private javax.swing.JButton jButton4;
    private javax.swing.JButton jButton5;
    private javax.swing.JButton jButton6;
    private javax.swing.JButton jButton7;
    private javax.swing.JButton jButton8;
    private javax.swing.JButton jButton9;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel13;
    private javax.swing.JLabel jLabel14;
    private javax.swing.JLabel jLabel15;
    private javax.swing.JLabel jLabel16;
    private javax.swing.JLabel jLabel17;
    private javax.swing.JLabel jLabel18;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JSeparator jSeparator1;
    private javax.swing.JSeparator jSeparator2;
    private javax.swing.JSeparator jSeparator3;
    private javax.swing.JTextField jTextField1;
    private javax.swing.JTextField jTextField10;
    private javax.swing.JTextField jTextField11;
    private javax.swing.JTextField jTextField12;
    private javax.swing.JTextField jTextField13;
    private javax.swing.JTextField jTextField14;
    private javax.swing.JTextField jTextField15;
    private javax.swing.JTextField jTextField2;
    private javax.swing.JTextField jTextField3;
    private javax.swing.JTextField jTextField4;
    private javax.swing.JTextField jTextField5;
    private javax.swing.JTextField jTextField6;
    private javax.swing.JTextField jTextField7;
    private javax.swing.JTextField jTextField8;
    private javax.swing.JTextField jTextField9;
    // End of variables declaration//GEN-END:variables

    /**
     * @return the isClose
     */
    public boolean isIsClose() {
        return isClose;
    }

    /**
     * @param isClose the isClose to set
     */
    public void setIsClose(boolean isClose) {
        this.isClose = isClose;
    }
}
