/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package spirit.database.bean;

import java.util.Date;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.SQLException;
import java.sql.DriverManager;
import java.io.Serializable;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 *
 * @author 石卓林
 */
public class SqlserverUrl implements Cloneable, Serializable {

    protected static final Log log = LogFactory.getLog(SqlserverUrl.class);
    private String servers;
    private int port;
    private String database;
    private String uid;
    private String pwd;

    public SqlserverUrl clone() {
        try {
            return (SqlserverUrl) super.clone();
        } catch (CloneNotSupportedException e) {
        } finally {
            return null;
        }
    }

    private String url() {
        return "jdbc:sqlserver://" + servers + ":" + port + ";databaseName=" + database + ";user=" + uid + ";password=" + pwd + ";";
    }

    public Connection getConnection() throws SQLException {
        return DriverManager.getConnection(url());
    }

    ;

    /**
     * @param servers the servers to set
     */
    public void setServers(String servers) {
        this.servers = servers;
    }

    /**
     * @param port the port to set
     */
    public void setPort(int port) {
        this.port = port;
    }

    /**
     * @param database the database to set
     */
    public void setDatabase(String database) {
        this.database = database;
    }

    /**
     * @param uid the uid to set
     */
    public void setUid(String uid) {
        this.uid = uid;
    }

    /**
     * @param pwd the pwd to set
     */
    public void setPwd(String pwd) {
        this.pwd = pwd;
    }

    public void backup(String path) throws SQLException {
        Connection conn = getConnection();
        PreparedStatement stmt = conn.prepareStatement("backup database ? to disk=? with init");
        stmt.setString(1, database);
        stmt.setString(2, path);
        stmt.execute();
        stmt.close();
        conn.close();
        log.info("备份数据库 " + database + " 到" + path);
    }

    public void backup() throws SQLException {
        DateFormat dateformat = new SimpleDateFormat("yyyy-MM-dd.HHmmss");
        String path = "d:\\bak\\" + database + "." + dateformat.format(new Date()) + ".bak";
        try {
            backup(path);
        } catch (SQLException e) {
            log.error("备份数据库 " + database + " 到" + path + "失败", e);
            throw new SQLException("备份数据库 " + database + " 到" + path + "失败");
        }
    }
}
